!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_5269) = coupl(nGC_4645)*dsw_QED2 + coupl(nGC_4646)*dcw_QED2 +    &
                      coupl(nGC_4647)*dZee_QED2
    coupl(nGC_5270) = coupl(nGC_4629)*dsw_QED2 + coupl(nGC_4630)*dcw_QED2 +    &
                      coupl(nGC_4631)*dZee_QED2
    coupl(nGC_5310) = coupl(nGC_4638)*dye_QED3
    coupl(nGC_5311) = coupl(nGC_4634)*dye_QED3
    coupl(nGC_5312) = coupl(nGC_4660)*dym_QED3
    coupl(nGC_5313) = coupl(nGC_4652)*dym_QED3
    coupl(nGC_5314) = coupl(nGC_4724)*dytau_QED3
    coupl(nGC_5315) = coupl(nGC_4723)*dytau_QED3
    coupl(nGC_5316) = coupl(nGC_4648)*dye_QED3 + coupl(nGC_4649)*da_QED2
    coupl(nGC_5317) = coupl(nGC_4661)*dym_QED3 + coupl(nGC_4662)*da_QED2
    coupl(nGC_5318) = coupl(nGC_263)*dytau_QED3 + coupl(nGC_265)*da_QED2
    coupl(nGC_5319) = coupl(nGC_4650)*dye_QED3 + coupl(nGC_4651)*da_QED2
    coupl(nGC_5320) = coupl(nGC_4667)*dym_QED3 + coupl(nGC_4668)*da_QED2
    coupl(nGC_5321) = coupl(nGC_269)*dytau_QED3 + coupl(nGC_271)*da_QED2
    coupl(nGC_5346) = coupl(nGC_4768)*dZee_QED2 + coupl(nGC_4769)*dMW2_QED2
    coupl(nGC_5347) = coupl(nGC_4587)*dsw_QED2 + coupl(nGC_4588)*dZee_QED2 +   &
                      coupl(nGC_4589)*dMW2_QED2
    coupl(nGC_5348) = coupl(nGC_4594)*dsw_QED2 + coupl(nGC_4595)*dZee_QED2 +   &
                      coupl(nGC_4596)*dMW2_QED2 + coupl(nGC_4597)*da_QED2
    coupl(nGC_5349) = coupl(nGC_4619)*dsw_QED2 + coupl(nGC_4620)*dZee_QED2 +   &
                      coupl(nGC_4621)*dMW2_QED2 + coupl(nGC_4622)*da_QED2
    coupl(nGC_5350) = coupl(nGC_4663)*dsw_QED2 + coupl(nGC_4664)*dcw_QED2 +    &
                      coupl(nGC_4665)*dZee_QED2 + coupl(nGC_4666)*dMW2_QED2
    coupl(nGC_5351) = coupl(nGC_4828)*dsw_QED2 + coupl(nGC_4829)*dcw_QED2 +    &
                      coupl(nGC_4830)*dZee_QED2
    coupl(nGC_5352) = coupl(nGC_4590)*dsw_QED2 + coupl(nGC_4591)*dZee_QED2 +   &
                      coupl(nGC_4592)*dMW2_QED2
    coupl(nGC_5353) = coupl(nGC_4601)*dsw_QED2 + coupl(nGC_4602)*dZee_QED2 +   &
                      coupl(nGC_4603)*dMZ2_QED2
    coupl(nGC_5354) = coupl(nGC_4673)*dsw_QED2 + coupl(nGC_4674)*dcw_QED2 +    &
                      coupl(nGC_4675)*dZee_QED2 + coupl(nGC_4676)*dMZ2_QED2 +  &
                      coupl(nGC_4677)*da_QED2
    coupl(nGC_5355) = coupl(nGC_4682)*dsw_QED2 + coupl(nGC_4683)*dcw_QED2 +    &
                      coupl(nGC_4684)*dZee_QED2 + coupl(nGC_4685)*dMZ2_QED2 +  &
                      coupl(nGC_4686)*da_QED2
    coupl(nGC_5437) = coupl(nGC_405)*dMW2_QED2
    coupl(nGC_5438) = coupl(nGC_409)*dMW2_QED2
    coupl(nGC_5439) = coupl(nGC_413)*dMZ2_QED2
    coupl(nGC_7017) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5202)
    coupl(nGC_7022) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_5203)
    coupl(nGC_7023) = -2d0*coupl(nGC_7022)
    coupl(nGC_7026) = 2d0*coupl(nGC_7022)
    coupl(nGC_7027) = -coupl(nGC_7022)
    coupl(nGC_7039) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2 + &
                      coupl(nGC_37)*dZZA_QED2/2d0 + coupl(nGC_5204)
    coupl(nGC_7043) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_37)*dZWMinus_QED2 &
                       + coupl(nGC_37)*dZZ_QED2/2d0 + coupl(nGC_5206)
    coupl(nGC_7047) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +     &
                      coupl(nGC_5205)
    coupl(nGC_7048) = -coupl(nGC_7046)/2d0 + coupl(nGC_7047)
    coupl(nGC_7049) = coupl(nGC_7046) - 2d0*coupl(nGC_7047)
    coupl(nGC_7055) = coupl(nGC_41)*dZA_QED2/2d0 + coupl(nGC_41)*dZWMinus_QED2 &
                       + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_5208)
    coupl(nGC_7056) = coupl(nGC_7054) - coupl(nGC_7055)/2d0
    coupl(nGC_7057) = -2d0*coupl(nGC_7054) + coupl(nGC_7055)
    coupl(nGC_7066) = 2d0*coupl(nGC_27)*dZWMinus_QED2 + coupl(nGC_5207)
    coupl(nGC_7067) = -2d0*coupl(nGC_7066)
    coupl(nGC_7075) = coupl(nGC_29)*dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2 +   &
                      coupl(nGC_5209)
    coupl(nGC_7076) = coupl(nGC_7072) - 2d0*coupl(nGC_7075)
    coupl(nGC_7077) = -coupl(nGC_7072)/2d0 + coupl(nGC_7075)
    coupl(nGC_7091) = 2d0*coupl(nGC_22)*dZHlHh_QED2 + 2d0*coupl(nGC_24)*       &
                      dZHh_QED2 + coupl(nGC_5210)
    coupl(nGC_7096) = 3d0*coupl(nGC_22)*dZHh_QED2/2d0 + coupl(nGC_22)*dZHl_QED2&
                      /2d0 + coupl(nGC_24)*dZHhHl_QED2/2d0 + 3d0*coupl(nGC_25)*&
                      dZHlHh_QED2/2d0 + coupl(nGC_5218)
    coupl(nGC_7103) = coupl(nGC_18)*dZHhHl_QED2 + coupl(nGC_20)*dZHl_QED2 +    &
                      coupl(nGC_5214)
    coupl(nGC_7108) = coupl(nGC_18)*dZHh_QED2/2d0 + coupl(nGC_18)*dZHl_QED2/2d0&
                       + coupl(nGC_19)*dZHhHl_QED2/2d0 + coupl(nGC_20)*        &
                      dZHlHh_QED2/2d0 + coupl(nGC_5219)
    coupl(nGC_7119) = 2d0*coupl(nGC_21)*dZHhHl_QED2 + 2d0*coupl(nGC_23)*       &
                      dZHl_QED2 + coupl(nGC_5215)
    coupl(nGC_7124) = coupl(nGC_21)*dZHh_QED2/2d0 + 3d0*coupl(nGC_21)*dZHl_QED2&
                      /2d0 + coupl(nGC_23)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_25)*&
                      dZHhHl_QED2/2d0 + coupl(nGC_5220)
    coupl(nGC_7128) = coupl(nGC_18)*dZHlHh_QED2 + coupl(nGC_19)*dZHh_QED2 +    &
                      coupl(nGC_5216)
    coupl(nGC_7144) = coupl(nGC_21)*dZHlHh_QED2 + coupl(nGC_22)*dZHhHl_QED2 +  &
                      coupl(nGC_25)*dZHh_QED2 + coupl(nGC_25)*dZHl_QED2 + coupl&
                      (nGC_5217)
    coupl(nGC_7162) = coupl(nGC_5221) + coupl(nGC_74)*dZHhHl_QED2/2d0 + coupl( &
                      nGC_75)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_18_Hh) + coupl(  &
                      nGC_TS_GC_20_Hl)
    coupl(nGC_7168) = coupl(nGC_5224) + coupl(nGC_74)*dZHh_QED2/2d0 + coupl(   &
                      nGC_75)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_18_Hl) + coupl(&
                      nGC_TS_GC_19_Hh)
    coupl(nGC_7184) = coupl(nGC_5222) + 3d0*coupl(nGC_76)*dZHhHl_QED2/2d0 + 3d0&
                      *coupl(nGC_78)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_21_Hh) +  &
                      coupl(nGC_TS_GC_23_Hl)
    coupl(nGC_7191) = coupl(nGC_5225) + coupl(nGC_76)*dZHh_QED2/2d0 + coupl(   &
                      nGC_76)*dZHl_QED2 + coupl(nGC_78)*dZHlHh_QED2/2d0 + coupl&
                      (nGC_79)*dZHhHl_QED2 + coupl(nGC_TS_GC_21_Hl) + coupl(   &
                      nGC_TS_GC_25_Hh)
    coupl(nGC_7198) = coupl(nGC_5223) + coupl(nGC_76)*dZHlHh_QED2 + coupl(     &
                      nGC_77)*dZHhHl_QED2/2d0 + coupl(nGC_79)*dZHh_QED2 + coupl&
                      (nGC_79)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_22_Hh) + coupl( &
                      nGC_TS_GC_25_Hl)
    coupl(nGC_7210) = coupl(nGC_5226) + 3d0*coupl(nGC_77)*dZHh_QED2/2d0 + 3d0* &
                      coupl(nGC_79)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_22_Hl) + &
                      coupl(nGC_TS_GC_24_Hh)
    coupl(nGC_7220) = coupl(nGC_5227) + coupl(nGC_58)*dZZA_QED2 + coupl(nGC_6)*&
                      dZA_QED2
    coupl(nGC_7225) = coupl(nGC_5245) + coupl(nGC_58)*dZA_QED2/2d0 + coupl(    &
                      nGC_58)*dZZ_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/2d0 + coupl&
                      (nGC_63)*dZZA_QED2/2d0
    coupl(nGC_7229) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5228) + coupl(     &
                      nGC_55)*dZZA_QED2/2d0
    coupl(nGC_7233) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_5248) + coupl(    &
                      nGC_55)*dZZ_QED2/2d0
    coupl(nGC_7237) = coupl(nGC_39)*dZA_QED2/2d0 + coupl(nGC_39)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_5229) + coupl(nGC_8)*dZZA_QED2/2d0
    coupl(nGC_7241) = coupl(nGC_39)*dZAZ_QED2/2d0 + coupl(nGC_5249) + coupl(   &
                      nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZ_QED2/2d0
    coupl(nGC_7246) = coupl(nGC_40)*dZA_QED2/2d0 + coupl(nGC_40)*dZHl_QED2/2d0 &
                       + coupl(nGC_40)*dZWMinus_QED2/2d0 + coupl(nGC_48)*      &
                      dZHhHl_QED2/2d0 + coupl(nGC_5230) + coupl(nGC_9)*        &
                      dZZA_QED2/2d0
    coupl(nGC_7251) = coupl(nGC_17)*dZHhHl_QED2/2d0 + coupl(nGC_40)*dZAZ_QED2/ &
                      2d0 + coupl(nGC_5250) + coupl(nGC_9)*dZHl_QED2/2d0 +     &
                      coupl(nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/  &
                      2d0
    coupl(nGC_7256) = coupl(nGC_17)*dZZA_QED2/2d0 + coupl(nGC_40)*dZHlHh_QED2/ &
                      2d0 + coupl(nGC_48)*dZA_QED2/2d0 + coupl(nGC_48)*        &
                      dZHh_QED2/2d0 + coupl(nGC_48)*dZWMinus_QED2/2d0 + coupl( &
                      nGC_5231)
    coupl(nGC_7261) = coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_17)*dZZ_QED2/2d0 + coupl(nGC_48)*       &
                      dZAZ_QED2/2d0 + coupl(nGC_5251) + coupl(nGC_9)*          &
                      dZHlHh_QED2/2d0
    coupl(nGC_7267) = coupl(nGC_5232) + coupl(nGC_68)*dZZA_QED2/2d0 + coupl(   &
                      nGC_71)*dZA_QED2/2d0 + coupl(nGC_71)*dZWMinus_QED2/2d0 + &
                      coupl(nGC_TS_GC_40_Hl) + coupl(nGC_TS_GC_48_Hh)
    coupl(nGC_7273) = coupl(nGC_5252) + coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl&
                      (nGC_68)*dZZ_QED2/2d0 + coupl(nGC_71)*dZAZ_QED2/2d0 +    &
                      coupl(nGC_TS_GC_17_Hh) + coupl(nGC_TS_GC_9_Hl)
    coupl(nGC_7276) = coupl(nGC_32)*dZWMinus_QED2/2d0 + coupl(nGC_5233)
    coupl(nGC_7280) = coupl(nGC_35)*dZHl_QED2/2d0 + coupl(nGC_35)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_47)*dZHhHl_QED2/2d0 + coupl(nGC_5234)
    coupl(nGC_7284) = coupl(nGC_35)*dZHlHh_QED2/2d0 + coupl(nGC_47)*dZHh_QED2/ &
                      2d0 + coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl(nGC_5235)
    coupl(nGC_7288) = coupl(nGC_38)*dZA_QED2/2d0 + coupl(nGC_38)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_5236) + coupl(nGC_7)*dZZA_QED2/2d0
    coupl(nGC_7292) = coupl(nGC_38)*dZAZ_QED2/2d0 + coupl(nGC_5253) + coupl(   &
                      nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
    coupl(nGC_7324) = coupl(nGC_34)*dZHl_QED2/2d0 + coupl(nGC_34)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_46)*dZHhHl_QED2/2d0 + coupl(nGC_5237)
    coupl(nGC_7328) = coupl(nGC_34)*dZHlHh_QED2/2d0 + coupl(nGC_46)*dZHh_QED2/ &
                      2d0 + coupl(nGC_46)*dZWMinus_QED2/2d0 + coupl(nGC_5238)
    coupl(nGC_7331) = coupl(nGC_26)*dZWMinus_QED2 + coupl(nGC_5239)
    coupl(nGC_7337) = coupl(nGC_28)*dZHl_QED2 + coupl(nGC_28)*dZWMinus_QED2 +  &
                      coupl(nGC_30)*dZHhHl_QED2 + coupl(nGC_5240)
    coupl(nGC_7342) = coupl(nGC_28)*dZHlHh_QED2/2d0 + coupl(nGC_30)*dZHh_QED2/ &
                      2d0 + coupl(nGC_30)*dZHl_QED2/2d0 + coupl(nGC_30)*       &
                      dZWMinus_QED2 + coupl(nGC_31)*dZHhHl_QED2/2d0 + coupl(   &
                      nGC_5241)
    coupl(nGC_7346) = coupl(nGC_30)*dZHlHh_QED2 + coupl(nGC_31)*dZHh_QED2 +    &
                      coupl(nGC_31)*dZWMinus_QED2 + coupl(nGC_5242)
    coupl(nGC_7356) = coupl(nGC_5243) + coupl(nGC_69)*dZHl_QED2/2d0 + coupl(   &
                      nGC_69)*dZWMinus_QED2 + coupl(nGC_70)*dZHhHl_QED2/2d0 +  &
                      coupl(nGC_TS_GC_28_Hl) + coupl(nGC_TS_GC_30_Hh)
    coupl(nGC_7362) = coupl(nGC_5244) + coupl(nGC_69)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_70)*dZHh_QED2/2d0 + coupl(nGC_70)*dZWMinus_QED2 +    &
                      coupl(nGC_TS_GC_30_Hl) + coupl(nGC_TS_GC_31_Hh)
    coupl(nGC_7370) = coupl(nGC_5255) + coupl(nGC_58)*dZAZ_QED2 + coupl(nGC_63 &
                      )*dZZ_QED2
    coupl(nGC_7374) = coupl(nGC_5246) + coupl(nGC_57)*dZHl_QED2/2d0 + coupl(   &
                      nGC_57)*dZZ_QED2/2d0 + coupl(nGC_61)*dZHhHl_QED2/2d0
    coupl(nGC_7379) = coupl(nGC_5247) + coupl(nGC_57)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_61)*dZHh_QED2/2d0 + coupl(nGC_61)*dZZ_QED2/2d0
    coupl(nGC_7447) = coupl(nGC_5254) + coupl(nGC_64)*dZZ_QED2
    coupl(nGC_7452) = coupl(nGC_5256) + coupl(nGC_65)*dZHl_QED2 + coupl(nGC_65 &
                      )*dZZ_QED2 + coupl(nGC_66)*dZHhHl_QED2
    coupl(nGC_7458) = coupl(nGC_5257) + coupl(nGC_65)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_66)*dZHh_QED2/2d0 + coupl(nGC_66)*dZHl_QED2/2d0 +    &
                      coupl(nGC_66)*dZZ_QED2 + coupl(nGC_67)*dZHhHl_QED2/2d0
    coupl(nGC_7463) = coupl(nGC_5258) + coupl(nGC_66)*dZHlHh_QED2 + coupl(     &
                      nGC_67)*dZHh_QED2 + coupl(nGC_67)*dZZ_QED2
    coupl(nGC_7474) = coupl(nGC_5259) + coupl(nGC_72)*dZHl_QED2/2d0 + coupl(   &
                      nGC_72)*dZZ_QED2 + coupl(nGC_73)*dZHhHl_QED2/2d0 + coupl(&
                      nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_66_Hh)
    coupl(nGC_7481) = coupl(nGC_5260) + coupl(nGC_72)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_73)*dZHh_QED2/2d0 + coupl(nGC_73)*dZZ_QED2 + coupl(  &
                      nGC_TS_GC_66_Hl) + coupl(nGC_TS_GC_67_Hh)
    coupl(nGC_7491) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5228)
    coupl(nGC_7492) = coupl(nGC_7490) + coupl(nGC_7491)
    coupl(nGC_7493) = coupl(nGC_7489) + coupl(nGC_7491)
    coupl(nGC_7499) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*dZeMinusR_QED2&
                       + coupl(nGC_5270)
    coupl(nGC_7500) = coupl(nGC_5248) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(    &
                      nGC_55)*dZeMinusL_QED2
    coupl(nGC_7501) = coupl(nGC_7494) + coupl(nGC_7499)
    coupl(nGC_7502) = coupl(nGC_7494) + coupl(nGC_7500)
    coupl(nGC_7511) = coupl(nGC_7491) + coupl(nGC_7510)
    coupl(nGC_7512) = coupl(nGC_7491) + coupl(nGC_7509)
    coupl(nGC_7518) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*              &
                      dZmuMinusR_QED2 + coupl(nGC_5270)
    coupl(nGC_7519) = coupl(nGC_5248) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(    &
                      nGC_55)*dZmuMinusL_QED2
    coupl(nGC_7520) = coupl(nGC_7494) + coupl(nGC_7518)
    coupl(nGC_7521) = coupl(nGC_7494) + coupl(nGC_7519)
    coupl(nGC_7530) = coupl(nGC_7491) + coupl(nGC_7529)
    coupl(nGC_7531) = coupl(nGC_7491) + coupl(nGC_7528)
    coupl(nGC_7537) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*              &
                      dZtauMinusR_QED2 + coupl(nGC_5270)
    coupl(nGC_7538) = coupl(nGC_5248) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(    &
                      nGC_55)*dZtauMinusL_QED2
    coupl(nGC_7539) = coupl(nGC_7494) + coupl(nGC_7537)
    coupl(nGC_7540) = coupl(nGC_7494) + coupl(nGC_7538)
    coupl(nGC_7551) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_5261)
    coupl(nGC_7552) = coupl(nGC_7550) + coupl(nGC_7551)
    coupl(nGC_7553) = coupl(nGC_7549) + coupl(nGC_7551)
    coupl(nGC_7561) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZuR_QED2 +   &
                      coupl(nGC_5265)
    coupl(nGC_7562) = coupl(nGC_5266) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(    &
                      nGC_54)*dZuL_QED2
    coupl(nGC_7563) = coupl(nGC_7554) + coupl(nGC_7561)
    coupl(nGC_7564) = coupl(nGC_7554) + coupl(nGC_7562)
    coupl(nGC_7575) = coupl(nGC_7551) + coupl(nGC_7574)
    coupl(nGC_7576) = coupl(nGC_7551) + coupl(nGC_7573)
    coupl(nGC_7584) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZcR_QED2 +   &
                      coupl(nGC_5265)
    coupl(nGC_7585) = coupl(nGC_5266) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(    &
                      nGC_54)*dZcL_QED2
    coupl(nGC_7586) = coupl(nGC_7554) + coupl(nGC_7584)
    coupl(nGC_7587) = coupl(nGC_7554) + coupl(nGC_7585)
    coupl(nGC_7598) = coupl(nGC_7551) + coupl(nGC_7597)
    coupl(nGC_7599) = coupl(nGC_7551) + coupl(nGC_7596)
    coupl(nGC_7607) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZtR_QED2 +   &
                      coupl(nGC_5265)
    coupl(nGC_7608) = coupl(nGC_5266) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(    &
                      nGC_54)*dZtL_QED2
    coupl(nGC_7609) = coupl(nGC_7554) + coupl(nGC_7607)
    coupl(nGC_7610) = coupl(nGC_7554) + coupl(nGC_7608)
    coupl(nGC_7621) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_5262)
    coupl(nGC_7622) = coupl(nGC_7620) + coupl(nGC_7621)
    coupl(nGC_7623) = coupl(nGC_7619) + coupl(nGC_7621)
    coupl(nGC_7631) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZdR_QED2 +   &
                      coupl(nGC_5267)
    coupl(nGC_7632) = coupl(nGC_5268) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZdL_QED2
    coupl(nGC_7633) = coupl(nGC_7624) + coupl(nGC_7631)
    coupl(nGC_7634) = coupl(nGC_7624) + coupl(nGC_7632)
    coupl(nGC_7645) = coupl(nGC_7621) + coupl(nGC_7644)
    coupl(nGC_7646) = coupl(nGC_7621) + coupl(nGC_7643)
    coupl(nGC_7654) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZsR_QED2 +   &
                      coupl(nGC_5267)
    coupl(nGC_7655) = coupl(nGC_5268) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZsL_QED2
    coupl(nGC_7656) = coupl(nGC_7624) + coupl(nGC_7654)
    coupl(nGC_7657) = coupl(nGC_7624) + coupl(nGC_7655)
    coupl(nGC_7668) = coupl(nGC_7621) + coupl(nGC_7667)
    coupl(nGC_7669) = coupl(nGC_7621) + coupl(nGC_7666)
    coupl(nGC_7677) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZbR_QED2 +   &
                      coupl(nGC_5267)
    coupl(nGC_7678) = coupl(nGC_5268) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZbL_QED2
    coupl(nGC_7679) = coupl(nGC_7624) + coupl(nGC_7677)
    coupl(nGC_7680) = coupl(nGC_7624) + coupl(nGC_7678)
    coupl(nGC_7687) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_5263)
    coupl(nGC_7688) = coupl(nGC_7683) + coupl(nGC_7687)
    coupl(nGC_7689) = coupl(nGC_7681) + coupl(nGC_7687)
    coupl(nGC_7702) = coupl(nGC_7687) + coupl(nGC_7698)
    coupl(nGC_7703) = coupl(nGC_7687) + coupl(nGC_7696)
    coupl(nGC_7716) = coupl(nGC_7687) + coupl(nGC_7712)
    coupl(nGC_7717) = coupl(nGC_7687) + coupl(nGC_7710)
    coupl(nGC_7730) = coupl(nGC_7687) + coupl(nGC_7726)
    coupl(nGC_7731) = coupl(nGC_7687) + coupl(nGC_7724)
    coupl(nGC_7744) = coupl(nGC_7687) + coupl(nGC_7740)
    coupl(nGC_7745) = coupl(nGC_7687) + coupl(nGC_7738)
    coupl(nGC_7758) = coupl(nGC_7687) + coupl(nGC_7754)
    coupl(nGC_7759) = coupl(nGC_7687) + coupl(nGC_7752)
    coupl(nGC_7769) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*dZdL_QED2&
                      /2d0 + coupl(nGC_33)*dZuL_QED2/2d0 + coupl(nGC_5264)
    coupl(nGC_7773) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*dZcL_QED2&
                      /2d0 + coupl(nGC_33)*dZsL_QED2/2d0 + coupl(nGC_5264)
    coupl(nGC_7777) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*dZbL_QED2&
                      /2d0 + coupl(nGC_33)*dZtL_QED2/2d0 + coupl(nGC_5264)
    coupl(nGC_7789) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*         &
                      dZeMinusL_QED2/2d0 + coupl(nGC_33)*dZnu_eL_QED2/2d0 +    &
                      coupl(nGC_5264)
    coupl(nGC_7792) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*         &
                      dZmuMinusL_QED2/2d0 + coupl(nGC_33)*dZnu_muL_QED2/2d0 +  &
                      coupl(nGC_5264)
    coupl(nGC_7795) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*         &
                      dZnu_tauL_QED2/2d0 + coupl(nGC_33)*dZtauMinusL_QED2/2d0  &
                       + coupl(nGC_5264)
    coupl(nGC_7804) = coupl(nGC_5269) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(    &
                      nGC_56)*dZnu_eL_QED2
    coupl(nGC_7808) = coupl(nGC_5269) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(    &
                      nGC_56)*dZnu_muL_QED2
    coupl(nGC_7812) = coupl(nGC_5269) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(    &
                      nGC_56)*dZnu_tauL_QED2
    coupl(nGC_7822) = coupl(nGC_120)*dZdL_QCD2/2d0 + coupl(nGC_120)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5271)
    coupl(nGC_7823) = coupl(nGC_5273) + coupl(nGC_90)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_90)*dZuL_QCD2/2d0
    coupl(nGC_7824) = coupl(nGC_120)*dZdL_QED2/2d0 + coupl(nGC_120)*dZuR_QED2/ &
                      2d0 + coupl(nGC_5272)
    coupl(nGC_7825) = coupl(nGC_5274) + coupl(nGC_90)*dZdR_QED2/2d0 + coupl(   &
                      nGC_90)*dZuL_QED2/2d0
    coupl(nGC_7834) = coupl(nGC_5275) + coupl(nGC_85)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_85)*dZsL_QCD2/2d0
    coupl(nGC_7835) = coupl(nGC_105)*dZcL_QCD2/2d0 + coupl(nGC_105)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5277)
    coupl(nGC_7836) = coupl(nGC_5276) + coupl(nGC_85)*dZcR_QED2/2d0 + coupl(   &
                      nGC_85)*dZsL_QED2/2d0
    coupl(nGC_7837) = coupl(nGC_105)*dZcL_QED2/2d0 + coupl(nGC_105)*dZsR_QED2/ &
                      2d0 + coupl(nGC_5278)
    coupl(nGC_7846) = coupl(nGC_110)*dZbL_QCD2/2d0 + coupl(nGC_110)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_5279)
    coupl(nGC_7847) = coupl(nGC_5281) + coupl(nGC_80)*dZbR_QCD2/2d0 + coupl(   &
                      nGC_80)*dZtL_QCD2/2d0
    coupl(nGC_7848) = coupl(nGC_110)*dZbL_QED2/2d0 + coupl(nGC_110)*dZtR_QED2/ &
                      2d0 + coupl(nGC_5280)
    coupl(nGC_7849) = coupl(nGC_5282) + coupl(nGC_80)*dZbR_QED2/2d0 + coupl(   &
                      nGC_80)*dZtL_QED2/2d0
    coupl(nGC_5295) = coupl(nGC_4627)*dydo_QCD2_QED1
    coupl(nGC_7896) = coupl(nGC_5295) + coupl(nGC_7888)
    coupl(nGC_5301) = coupl(nGC_4632)*dydo_QCD2_QED1
    coupl(nGC_7905) = coupl(nGC_5301) + coupl(nGC_7903)
    coupl(nGC_5297) = coupl(nGC_4695)*dys_QCD2_QED1
    coupl(nGC_7916) = coupl(nGC_5297) + coupl(nGC_7910)
    coupl(nGC_5303) = coupl(nGC_4697)*dys_QCD2_QED1
    coupl(nGC_7927) = coupl(nGC_5303) + coupl(nGC_7925)
    coupl(nGC_5299) = coupl(nGC_4577)*dyb_QCD2_QED1
    coupl(nGC_7938) = coupl(nGC_5299) + coupl(nGC_7932)
    coupl(nGC_5305) = coupl(nGC_4582)*dyb_QCD2_QED1
    coupl(nGC_7949) = coupl(nGC_5305) + coupl(nGC_7947)
    coupl(nGC_7965) = coupl(nGC_5310) + coupl(nGC_97)*dZeMinusL_QED2/2d0 +     &
                      coupl(nGC_97)*dZeMinusR_QED2/2d0
    coupl(nGC_7966) = coupl(nGC_5311) + coupl(nGC_96)*dZeMinusL_QED2/2d0 +     &
                      coupl(nGC_96)*dZeMinusR_QED2/2d0
    coupl(nGC_7971) = coupl(nGC_102)*dZmuMinusL_QED2/2d0 + coupl(nGC_102)*     &
                      dZmuMinusR_QED2/2d0 + coupl(nGC_5312)
    coupl(nGC_7972) = coupl(nGC_101)*dZmuMinusL_QED2/2d0 + coupl(nGC_101)*     &
                      dZmuMinusR_QED2/2d0 + coupl(nGC_5313)
    coupl(nGC_7977) = coupl(nGC_117)*dZtauMinusL_QED2/2d0 + coupl(nGC_117)*    &
                      dZtauMinusR_QED2/2d0 + coupl(nGC_5314)
    coupl(nGC_7978) = coupl(nGC_116)*dZtauMinusL_QED2/2d0 + coupl(nGC_116)*    &
                      dZtauMinusR_QED2/2d0 + coupl(nGC_5315)
    coupl(nGC_7984) = coupl(nGC_5316) + coupl(nGC_98)*dZHl_QED2/2d0 + coupl(   &
                      nGC_99)*dZHhHl_QED2/2d0
    coupl(nGC_7985) = coupl(nGC_7980) + coupl(nGC_7984)
    coupl(nGC_7991) = coupl(nGC_5319) + coupl(nGC_98)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_99)*dZHh_QED2/2d0
    coupl(nGC_7992) = coupl(nGC_7990) + coupl(nGC_7991)
    coupl(nGC_7998) = coupl(nGC_103)*dZHl_QED2/2d0 + coupl(nGC_104)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5317)
    coupl(nGC_7999) = coupl(nGC_7994) + coupl(nGC_7998)
    coupl(nGC_8005) = coupl(nGC_103)*dZHlHh_QED2/2d0 + coupl(nGC_104)*dZHh_QED2&
                      /2d0 + coupl(nGC_5320)
    coupl(nGC_8006) = coupl(nGC_8004) + coupl(nGC_8005)
    coupl(nGC_8012) = coupl(nGC_118)*dZHl_QED2/2d0 + coupl(nGC_119)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5318)
    coupl(nGC_8013) = coupl(nGC_8008) + coupl(nGC_8012)
    coupl(nGC_8019) = coupl(nGC_118)*dZHlHh_QED2/2d0 + coupl(nGC_119)*dZHh_QED2&
                      /2d0 + coupl(nGC_5321)
    coupl(nGC_8020) = coupl(nGC_8018) + coupl(nGC_8019)
    coupl(nGC_5334) = coupl(nGC_4742)*dyup_QCD2_QED1
    coupl(nGC_8089) = coupl(nGC_5334) + coupl(nGC_8083)
    coupl(nGC_5340) = coupl(nGC_4751)*dyup_QCD2_QED1
    coupl(nGC_8100) = coupl(nGC_5340) + coupl(nGC_8098)
    coupl(nGC_5336) = coupl(nGC_4599)*dyc_QCD2_QED1
    coupl(nGC_8113) = coupl(nGC_5336) + coupl(nGC_8105)
    coupl(nGC_5342) = coupl(nGC_4608)*dyc_QCD2_QED1
    coupl(nGC_8122) = coupl(nGC_5342) + coupl(nGC_8120)
    coupl(nGC_5338) = coupl(nGC_275)*dyt_QCD2_QED1
    coupl(nGC_8133) = coupl(nGC_5338) + coupl(nGC_8127)
    coupl(nGC_5344) = coupl(nGC_281)*dyt_QCD2_QED1
    coupl(nGC_8144) = coupl(nGC_5344) + coupl(nGC_8142)
    coupl(nGC_8155) = coupl(nGC_4)*dZWMinus_QED2/2d0 + coupl(nGC_5228)
    coupl(nGC_8156) = -coupl(nGC_8155)
    coupl(nGC_8159) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_5204)
    coupl(nGC_8160) = -coupl(nGC_8159)
    coupl(nGC_8168) = coupl(nGC_44)*dZHl_QED2/2d0 + coupl(nGC_49)*dZHhHl_QED2/ &
                      2d0 + coupl(nGC_5348)
    coupl(nGC_8172) = coupl(nGC_44)*dZHlHh_QED2/2d0 + coupl(nGC_49)*dZHh_QED2/ &
                      2d0 + coupl(nGC_5349)
    coupl(nGC_8176) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_37)*dZZA_QED2/2d0  &
                       + coupl(nGC_5204)
    coupl(nGC_8177) = -coupl(nGC_8176)
    coupl(nGC_8181) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_37)*dZZ_QED2/2d0  &
                       + coupl(nGC_5206)
    coupl(nGC_8182) = -coupl(nGC_8181)
    coupl(nGC_8186) = coupl(nGC_36)*dZWMinus_QED2/2d0 + coupl(nGC_5351)
    coupl(nGC_8187) = -coupl(nGC_8186)
    coupl(nGC_8201) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0  &
                       + coupl(nGC_5228)
    coupl(nGC_8202) = -coupl(nGC_8201)
    coupl(nGC_8206) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_4)*dZAZ_QED2/2d0  &
                       + coupl(nGC_5351)
    coupl(nGC_8207) = -coupl(nGC_8206)
    coupl(nGC_8211) = coupl(nGC_37)*dZWMinus_QED2/2d0 + coupl(nGC_5206)
    coupl(nGC_8212) = -coupl(nGC_8211)
    coupl(nGC_8222) = coupl(nGC_5354) + coupl(nGC_60)*dZHl_QED2/2d0 + coupl(   &
                      nGC_62)*dZHhHl_QED2/2d0
    coupl(nGC_8226) = coupl(nGC_5355) + coupl(nGC_60)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_62)*dZHh_QED2/2d0
    coupl(nGC_8229) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5202)
    coupl(nGC_8230) = -coupl(nGC_8229)
    coupl(nGC_8246) = coupl(nGC_5430) + coupl(nGC_TS_GC_93_Hl) + coupl(        &
                      nGC_TS_GC_94_Hh)
    coupl(nGC_8247) = coupl(nGC_8240) + coupl(nGC_8246)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
