!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(174)%branchCT(0:0))
    call avCT(174, 0, 8, 5, 0, UaUS0, 0, [0, 3], [nGC_8222])

    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 8, 5, 0, UaUS0, 0, [0, 3], [nGC_8226])

    allocate(vertices(176)%branchCT(0:1))
    call avCT(176, 0, 0, 1, 0, UaUV0, 0, [3, 0], [nGC_8230])

    call avCT(176, 1, 1, 2, 0, UaUV0, 0, [3, 0], [nGC_8230])

    allocate(vertices(1394)%branchCT(0:1))
    call avCT(1394, 0, 13, 5, 0, FFa0, 0, [2, 0], [nGC_8243, nGC_8241, nGC_8245&
    , nGC_8245])

    call avCT(1394, 1, 13, 5, 0, FFa0, 0, [0, 2], [nGC_8244, nGC_8242, nGC_8247&
    , nGC_8247])

    allocate(vertices(1395)%branchCT(0:1))
    call avCT(1395, 0, 13, 5, 0, FFa0, 0, [2, 0], [nGC_8258, nGC_8256, nGC_8260&
    , nGC_8260])

    call avCT(1395, 1, 13, 5, 0, FFa0, 0, [0, 2], [nGC_8259, nGC_8257, nGC_8262&
    , nGC_8262])

    allocate(vertices(1396)%branchCT(0:1))
    call avCT(1396, 0, 13, 5, 0, FFa0, 0, [2, 0], [nGC_8273, nGC_8271, nGC_8275&
    , nGC_8275])

    call avCT(1396, 1, 13, 5, 0, FFa0, 0, [0, 2], [nGC_8274, nGC_8272, nGC_8277&
    , nGC_8277])

    allocate(vertices(1397)%branchCT(0:0))
    call avCT(1397, 0, 14, 5, 0, FFa0, 0, [0, 2], [nGC_8284, nGC_8283, nGC_8286&
    , nGC_8286])

    allocate(vertices(1398)%branchCT(0:0))
    call avCT(1398, 0, 14, 5, 0, FFa0, 0, [0, 2], [nGC_8293, nGC_8292, nGC_8295&
    , nGC_8295])

    allocate(vertices(1399)%branchCT(0:0))
    call avCT(1399, 0, 14, 5, 0, FFa0, 0, [0, 2], [nGC_8302, nGC_8301, nGC_8304&
    , nGC_8304])

    allocate(vertices(1400)%branchCT(0:1))
    call avCT(1400, 0, 13, 5, 0, FFa0, 0, [2, 0], [nGC_8315, nGC_8313, nGC_8317&
    , nGC_8317])

    call avCT(1400, 1, 13, 5, 0, FFa0, 0, [0, 2], [nGC_8316, nGC_8314, nGC_8319&
    , nGC_8319])

    allocate(vertices(1401)%branchCT(0:1))
    call avCT(1401, 0, 13, 5, 0, FFa0, 0, [2, 0], [nGC_8330, nGC_8328, nGC_8332&
    , nGC_8332])

    call avCT(1401, 1, 13, 5, 0, FFa0, 0, [0, 2], [nGC_8331, nGC_8329, nGC_8334&
    , nGC_8334])

    allocate(vertices(1402)%branchCT(0:1))
    call avCT(1402, 0, 13, 5, 0, FFa0, 0, [2, 0], [nGC_8345, nGC_8343, nGC_8347&
    , nGC_8347])

    call avCT(1402, 1, 13, 5, 0, FFa0, 0, [0, 2], [nGC_8346, nGC_8344, nGC_8349&
    , nGC_8349])

    allocate(vertices(1403)%branchCT(0:0))
    call avCT(1403, 0, 14, 5, 0, SS0, 0, [0, 2], [nGC_8352])

    allocate(vertices(1404)%branchCT(0:0))
    call avCT(1404, 0, 14, 5, 0, SS0, 0, [0, 2], [nGC_8352])

    allocate(vertices(1405)%branchCT(0:0))
    call avCT(1405, 0, 14, 5, 0, SS1, 0, [0, 2], [nGC_8360, nGC_8359])

    allocate(vertices(1406)%branchCT(0:0))
    call avCT(1406, 0, 14, 5, 0, SS1, 0, [0, 2], [nGC_8366, nGC_8365])

    allocate(vertices(1407)%branchCT(0:0))
    call avCT(1407, 0, 14, 5, 0, SS2, 0, [0, 2], [nGC_8373, nGC_8371, nGC_8372])

    allocate(vertices(1408)%branchCT(0:0))
    call avCT(1408, 0, 14, 5, 0, VS0, 0, [0, 2], [nGC_8378, nGC_8379])

    allocate(vertices(1409)%branchCT(0:0))
    call avCT(1409, 0, 14, 5, 0, VS0, 0, [0, 2], [nGC_8384, nGC_8385])

    allocate(vertices(1410)%branchCT(0:0))
    call avCT(1410, 0, 14, 5, 0, VV0, 0, [0, 2], [nGC_8392, nGC_8390, nGC_8391])

    allocate(vertices(1411)%branchCT(0:0))
    call avCT(1411, 0, 14, 5, 0, VS0, 0, [0, 2], [nGC_8397, nGC_8398])

    allocate(vertices(1412)%branchCT(0:0))
    call avCT(1412, 0, 14, 5, 0, VV1, 0, [0, 2], [nGC_8405, nGC_8403, nGC_8404])

    allocate(vertices(1413)%branchCT(0:0))
    call avCT(1413, 0, 14, 5, 0, SS2, 0, [0, 2], [nGC_8373, nGC_8372, nGC_8371])

    allocate(vertices(1414)%branchCT(0:0))
    call avCT(1414, 0, 14, 5, 0, FFa1, 0, [0, 2], [nGC_8412])

    allocate(vertices(1415)%branchCT(0:0))
    call avCT(1415, 0, 14, 5, 0, FFa1, 0, [0, 2], [nGC_8413])

    allocate(vertices(1416)%branchCT(0:0))
    call avCT(1416, 0, 14, 5, 0, FFa1, 0, [0, 2], [nGC_8414])

    allocate(vertices(1417)%branchCT(0:0))
    call avCT(1417, 0, 14, 5, 0, VV2, 0, [0, 2], [nGC_8416, nGC_8415])

    allocate(vertices(1418)%branchCT(0:0))
    call avCT(1418, 0, 14, 5, 0, VV3, 0, [0, 2], [nGC_8417, nGC_8419, nGC_8417 &
    , nGC_8419, nGC_8418])

    allocate(vertices(1419)%branchCT(0:0))
    call avCT(1419, 0, 14, 5, 0, VV3, 0, [0, 2], [nGC_8419, nGC_8417, nGC_8419 &
    , nGC_8417, nGC_8418])

    allocate(vertices(1420)%branchCT(0:0))
    call avCT(1420, 0, 14, 5, 0, VV1, 0, [0, 2], [nGC_8392, nGC_8390, nGC_8391])

    allocate(vertices(1421)%branchCT(0:1))
    call avCT(1421, 0, 15, 5, 0, VV2, 0, [2, 0], [nGC_8429, nGC_8428])

    call avCT(1421, 1, 16, 8, 0, VV2, 0, [2, 0], [nGC_8429, nGC_8428])

    allocate(vertices(1422)%branchCT(0:0))
    call avCT(1422, 0, 14, 5, 0, VS1, 0, [0, 2], [nGC_8431])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_7039])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_8438])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_8438])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_8438])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_8448])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_7043])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_8448])

    allocate(vertices(197)%branchCT(0:0))
    call avCT(197, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_8448])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7049, nGC_7048, nGC_7048])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7048, nGC_7049, nGC_7048])

    allocate(vertices(184)%branchCT(0:0))
    call avCT(184, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7048, nGC_7048, nGC_7049])

    allocate(vertices(185)%branchCT(0:0))
    call avCT(185, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7048, nGC_7049, nGC_7048])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7049, nGC_7048, nGC_7048])

    allocate(vertices(187)%branchCT(0:0))
    call avCT(187, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7048, nGC_7048, nGC_7049])

    allocate(vertices(189)%branchCT(0:0))
    call avCT(189, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7048, nGC_7049, nGC_7048])

    allocate(vertices(190)%branchCT(0:0))
    call avCT(190, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7048, nGC_7048, nGC_7049])

    allocate(vertices(191)%branchCT(0:0))
    call avCT(191, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7048, nGC_7049, nGC_7048])

    allocate(vertices(192)%branchCT(0:0))
    call avCT(192, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7049, nGC_7048, nGC_7048])

    allocate(vertices(203)%branchCT(0:0))
    call avCT(203, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7057, nGC_7056])

    allocate(vertices(204)%branchCT(0:0))
    call avCT(204, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7057, nGC_7056, nGC_7056])

    allocate(vertices(205)%branchCT(0:0))
    call avCT(205, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7056, nGC_7057])

    allocate(vertices(207)%branchCT(0:0))
    call avCT(207, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7057, nGC_7056, nGC_7056])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7057, nGC_7056])

    allocate(vertices(209)%branchCT(0:0))
    call avCT(209, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7057, nGC_7056, nGC_7056])

    allocate(vertices(210)%branchCT(0:0))
    call avCT(210, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7057, nGC_7056])

    allocate(vertices(211)%branchCT(0:0))
    call avCT(211, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7057, nGC_7056, nGC_7056])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7057, nGC_7056])

    allocate(vertices(213)%branchCT(0:0))
    call avCT(213, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7056, nGC_7057])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7056, nGC_7057])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7056, nGC_7057])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7056, nGC_7057])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7057, nGC_7056])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7057, nGC_7056, nGC_7056])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7057, nGC_7056])

    allocate(vertices(220)%branchCT(0:0))
    call avCT(220, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7057, nGC_7056])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7057, nGC_7056, nGC_7056])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7056, nGC_7057])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7057, nGC_7056, nGC_7056])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7056, nGC_7057, nGC_7056])

    allocate(vertices(198)%branchCT(0:0))
    call avCT(198, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7066, nGC_7066, nGC_7067])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7066, nGC_7067, nGC_7066])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7067, nGC_7066, nGC_7066])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7067, nGC_7066, nGC_7066])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7066, nGC_7067, nGC_7066])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7077, nGC_7076])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7077, nGC_7076])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7076, nGC_7077])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7076, nGC_7077, nGC_7077])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7076, nGC_7077])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7076, nGC_7077, nGC_7077])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7076, nGC_7077])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7077, nGC_7076])

    allocate(vertices(235)%branchCT(0:0))
    call avCT(235, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7076, nGC_7077, nGC_7077])

    allocate(vertices(236)%branchCT(0:0))
    call avCT(236, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7076, nGC_7077])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7096])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7096])

    allocate(vertices(237)%branchCT(0:0))
    call avCT(237, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(239)%branchCT(0:0))
    call avCT(239, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(240)%branchCT(0:0))
    call avCT(240, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5212])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5213])

    allocate(vertices(249)%branchCT(0:0))
    call avCT(249, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5213])

    allocate(vertices(250)%branchCT(0:0))
    call avCT(250, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5213])

    allocate(vertices(251)%branchCT(0:0))
    call avCT(251, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5213])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5213])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(295)%branchCT(0:0))
    call avCT(295, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(296)%branchCT(0:0))
    call avCT(296, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7103])

    allocate(vertices(304)%branchCT(0:0))
    call avCT(304, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(305)%branchCT(0:0))
    call avCT(305, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(306)%branchCT(0:0))
    call avCT(306, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(307)%branchCT(0:0))
    call avCT(307, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(308)%branchCT(0:0))
    call avCT(308, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(310)%branchCT(0:0))
    call avCT(310, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(311)%branchCT(0:0))
    call avCT(311, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(313)%branchCT(0:0))
    call avCT(313, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(318)%branchCT(0:0))
    call avCT(318, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(319)%branchCT(0:0))
    call avCT(319, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(321)%branchCT(0:0))
    call avCT(321, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(322)%branchCT(0:0))
    call avCT(322, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(323)%branchCT(0:0))
    call avCT(323, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(324)%branchCT(0:0))
    call avCT(324, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(326)%branchCT(0:0))
    call avCT(326, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7108])

    allocate(vertices(328)%branchCT(0:0))
    call avCT(328, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7124])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7124])

    allocate(vertices(269)%branchCT(0:0))
    call avCT(269, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(271)%branchCT(0:0))
    call avCT(271, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(274)%branchCT(0:0))
    call avCT(274, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(275)%branchCT(0:0))
    call avCT(275, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(276)%branchCT(0:0))
    call avCT(276, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(277)%branchCT(0:0))
    call avCT(277, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(280)%branchCT(0:0))
    call avCT(280, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(283)%branchCT(0:0))
    call avCT(283, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7128])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7144])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7144])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7144])

    allocate(vertices(289)%branchCT(0:0))
    call avCT(289, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_7144])

    allocate(vertices(330)%branchCT(0:0))
    call avCT(330, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7162])

    allocate(vertices(331)%branchCT(0:0))
    call avCT(331, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7162])

    allocate(vertices(339)%branchCT(0:0))
    call avCT(339, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7168])

    allocate(vertices(340)%branchCT(0:0))
    call avCT(340, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7168])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7162])

    allocate(vertices(333)%branchCT(0:0))
    call avCT(333, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7162])

    allocate(vertices(334)%branchCT(0:0))
    call avCT(334, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7162])

    allocate(vertices(335)%branchCT(0:0))
    call avCT(335, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7162])

    allocate(vertices(336)%branchCT(0:0))
    call avCT(336, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7162])

    allocate(vertices(341)%branchCT(0:0))
    call avCT(341, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7168])

    allocate(vertices(342)%branchCT(0:0))
    call avCT(342, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7168])

    allocate(vertices(343)%branchCT(0:0))
    call avCT(343, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7168])

    allocate(vertices(344)%branchCT(0:0))
    call avCT(344, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7168])

    allocate(vertices(345)%branchCT(0:0))
    call avCT(345, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7168])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7191])

    allocate(vertices(337)%branchCT(0:0))
    call avCT(337, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_7198])

    allocate(vertices(348)%branchCT(0:0))
    call avCT(348, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7220])

    allocate(vertices(349)%branchCT(0:0))
    call avCT(349, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7220])

    allocate(vertices(350)%branchCT(0:0))
    call avCT(350, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7220])

    allocate(vertices(351)%branchCT(0:0))
    call avCT(351, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7220])

    allocate(vertices(352)%branchCT(0:0))
    call avCT(352, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7220])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7220])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7220])

    allocate(vertices(355)%branchCT(0:0))
    call avCT(355, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7220])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7220])

    allocate(vertices(357)%branchCT(0:0))
    call avCT(357, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7220])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7220])

    allocate(vertices(631)%branchCT(0:0))
    call avCT(631, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(632)%branchCT(0:0))
    call avCT(632, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(634)%branchCT(0:0))
    call avCT(634, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(635)%branchCT(0:0))
    call avCT(635, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(636)%branchCT(0:0))
    call avCT(636, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(638)%branchCT(0:0))
    call avCT(638, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(640)%branchCT(0:0))
    call avCT(640, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(641)%branchCT(0:0))
    call avCT(641, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(642)%branchCT(0:0))
    call avCT(642, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(643)%branchCT(0:0))
    call avCT(643, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(644)%branchCT(0:0))
    call avCT(644, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(645)%branchCT(0:0))
    call avCT(645, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(647)%branchCT(0:0))
    call avCT(647, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(648)%branchCT(0:0))
    call avCT(648, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(649)%branchCT(0:0))
    call avCT(649, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(650)%branchCT(0:0))
    call avCT(650, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(651)%branchCT(0:0))
    call avCT(651, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7225])

    allocate(vertices(653)%branchCT(0:0))
    call avCT(653, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7225])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_9090])

    allocate(vertices(360)%branchCT(0:0))
    call avCT(360, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7229])

    allocate(vertices(361)%branchCT(0:0))
    call avCT(361, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_9090])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_9090])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7229])

    allocate(vertices(664)%branchCT(0:0))
    call avCT(664, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_9106])

    allocate(vertices(665)%branchCT(0:0))
    call avCT(665, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7233])

    allocate(vertices(666)%branchCT(0:0))
    call avCT(666, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_9106])

    allocate(vertices(667)%branchCT(0:0))
    call avCT(667, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_9106])

    allocate(vertices(668)%branchCT(0:0))
    call avCT(668, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7233])

    allocate(vertices(364)%branchCT(0:0))
    call avCT(364, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(369)%branchCT(0:0))
    call avCT(369, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(370)%branchCT(0:0))
    call avCT(370, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(373)%branchCT(0:0))
    call avCT(373, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(375)%branchCT(0:0))
    call avCT(375, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(376)%branchCT(0:0))
    call avCT(376, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(378)%branchCT(0:0))
    call avCT(378, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(379)%branchCT(0:0))
    call avCT(379, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(380)%branchCT(0:0))
    call avCT(380, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(381)%branchCT(0:0))
    call avCT(381, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7237])

    allocate(vertices(386)%branchCT(0:0))
    call avCT(386, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7237])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(670)%branchCT(0:0))
    call avCT(670, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(671)%branchCT(0:0))
    call avCT(671, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(672)%branchCT(0:0))
    call avCT(672, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(673)%branchCT(0:0))
    call avCT(673, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(674)%branchCT(0:0))
    call avCT(674, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(675)%branchCT(0:0))
    call avCT(675, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(676)%branchCT(0:0))
    call avCT(676, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(678)%branchCT(0:0))
    call avCT(678, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(679)%branchCT(0:0))
    call avCT(679, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(680)%branchCT(0:0))
    call avCT(680, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(681)%branchCT(0:0))
    call avCT(681, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(682)%branchCT(0:0))
    call avCT(682, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(683)%branchCT(0:0))
    call avCT(683, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(685)%branchCT(0:0))
    call avCT(685, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(687)%branchCT(0:0))
    call avCT(687, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(688)%branchCT(0:0))
    call avCT(688, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(689)%branchCT(0:0))
    call avCT(689, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(690)%branchCT(0:0))
    call avCT(690, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7241])

    allocate(vertices(691)%branchCT(0:0))
    call avCT(691, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7241])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(388)%branchCT(0:0))
    call avCT(388, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(390)%branchCT(0:0))
    call avCT(390, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(395)%branchCT(0:0))
    call avCT(395, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(396)%branchCT(0:0))
    call avCT(396, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(398)%branchCT(0:0))
    call avCT(398, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(399)%branchCT(0:0))
    call avCT(399, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(400)%branchCT(0:0))
    call avCT(400, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(401)%branchCT(0:0))
    call avCT(401, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(403)%branchCT(0:0))
    call avCT(403, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(404)%branchCT(0:0))
    call avCT(404, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(406)%branchCT(0:0))
    call avCT(406, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(409)%branchCT(0:0))
    call avCT(409, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(692)%branchCT(0:0))
    call avCT(692, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(693)%branchCT(0:0))
    call avCT(693, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(696)%branchCT(0:0))
    call avCT(696, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(697)%branchCT(0:0))
    call avCT(697, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(698)%branchCT(0:0))
    call avCT(698, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(699)%branchCT(0:0))
    call avCT(699, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(700)%branchCT(0:0))
    call avCT(700, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(701)%branchCT(0:0))
    call avCT(701, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(702)%branchCT(0:0))
    call avCT(702, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(703)%branchCT(0:0))
    call avCT(703, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(704)%branchCT(0:0))
    call avCT(704, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(705)%branchCT(0:0))
    call avCT(705, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(706)%branchCT(0:0))
    call avCT(706, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(707)%branchCT(0:0))
    call avCT(707, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(708)%branchCT(0:0))
    call avCT(708, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(709)%branchCT(0:0))
    call avCT(709, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(710)%branchCT(0:0))
    call avCT(710, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(711)%branchCT(0:0))
    call avCT(711, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(712)%branchCT(0:0))
    call avCT(712, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(713)%branchCT(0:0))
    call avCT(713, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(714)%branchCT(0:0))
    call avCT(714, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(410)%branchCT(0:0))
    call avCT(410, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(411)%branchCT(0:0))
    call avCT(411, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(412)%branchCT(0:0))
    call avCT(412, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(413)%branchCT(0:0))
    call avCT(413, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(416)%branchCT(0:0))
    call avCT(416, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(417)%branchCT(0:0))
    call avCT(417, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(418)%branchCT(0:0))
    call avCT(418, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(419)%branchCT(0:0))
    call avCT(419, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(421)%branchCT(0:0))
    call avCT(421, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(423)%branchCT(0:0))
    call avCT(423, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(424)%branchCT(0:0))
    call avCT(424, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(427)%branchCT(0:0))
    call avCT(427, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(429)%branchCT(0:0))
    call avCT(429, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(432)%branchCT(0:0))
    call avCT(432, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(715)%branchCT(0:0))
    call avCT(715, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(716)%branchCT(0:0))
    call avCT(716, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(717)%branchCT(0:0))
    call avCT(717, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(718)%branchCT(0:0))
    call avCT(718, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(719)%branchCT(0:0))
    call avCT(719, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(720)%branchCT(0:0))
    call avCT(720, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(721)%branchCT(0:0))
    call avCT(721, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(722)%branchCT(0:0))
    call avCT(722, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(723)%branchCT(0:0))
    call avCT(723, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(725)%branchCT(0:0))
    call avCT(725, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(726)%branchCT(0:0))
    call avCT(726, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(727)%branchCT(0:0))
    call avCT(727, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(728)%branchCT(0:0))
    call avCT(728, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(729)%branchCT(0:0))
    call avCT(729, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(730)%branchCT(0:0))
    call avCT(730, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(731)%branchCT(0:0))
    call avCT(731, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(732)%branchCT(0:0))
    call avCT(732, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(733)%branchCT(0:0))
    call avCT(733, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(734)%branchCT(0:0))
    call avCT(734, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(735)%branchCT(0:0))
    call avCT(735, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(736)%branchCT(0:0))
    call avCT(736, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(737)%branchCT(0:0))
    call avCT(737, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(433)%branchCT(0:0))
    call avCT(433, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7267])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7267])

    allocate(vertices(435)%branchCT(0:0))
    call avCT(435, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7267])

    allocate(vertices(437)%branchCT(0:0))
    call avCT(437, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7267])

    allocate(vertices(739)%branchCT(0:0))
    call avCT(739, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7273])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7273])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7273])

    allocate(vertices(742)%branchCT(0:0))
    call avCT(742, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7273])

    allocate(vertices(438)%branchCT(0:0))
    call avCT(438, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_9645])

    allocate(vertices(439)%branchCT(0:0))
    call avCT(439, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7276])

    allocate(vertices(440)%branchCT(0:0))
    call avCT(440, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_9645])

    allocate(vertices(441)%branchCT(0:0))
    call avCT(441, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_9645])

    allocate(vertices(442)%branchCT(0:0))
    call avCT(442, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7276])

    allocate(vertices(443)%branchCT(0:0))
    call avCT(443, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7280])

    allocate(vertices(444)%branchCT(0:0))
    call avCT(444, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_9660])

    allocate(vertices(445)%branchCT(0:0))
    call avCT(445, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_9660])

    allocate(vertices(446)%branchCT(0:0))
    call avCT(446, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7280])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_9660])

    allocate(vertices(448)%branchCT(0:0))
    call avCT(448, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7284])

    allocate(vertices(449)%branchCT(0:0))
    call avCT(449, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_9676])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_9676])

    allocate(vertices(451)%branchCT(0:0))
    call avCT(451, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7284])

    allocate(vertices(452)%branchCT(0:0))
    call avCT(452, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_9676])

    allocate(vertices(453)%branchCT(0:0))
    call avCT(453, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(454)%branchCT(0:0))
    call avCT(454, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(455)%branchCT(0:0))
    call avCT(455, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(456)%branchCT(0:0))
    call avCT(456, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(457)%branchCT(0:0))
    call avCT(457, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(459)%branchCT(0:0))
    call avCT(459, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(460)%branchCT(0:0))
    call avCT(460, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(461)%branchCT(0:0))
    call avCT(461, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(462)%branchCT(0:0))
    call avCT(462, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(463)%branchCT(0:0))
    call avCT(463, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(464)%branchCT(0:0))
    call avCT(464, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(466)%branchCT(0:0))
    call avCT(466, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(467)%branchCT(0:0))
    call avCT(467, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(468)%branchCT(0:0))
    call avCT(468, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(472)%branchCT(0:0))
    call avCT(472, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(473)%branchCT(0:0))
    call avCT(473, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7288])

    allocate(vertices(474)%branchCT(0:0))
    call avCT(474, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(475)%branchCT(0:0))
    call avCT(475, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7288])

    allocate(vertices(743)%branchCT(0:0))
    call avCT(743, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(744)%branchCT(0:0))
    call avCT(744, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(745)%branchCT(0:0))
    call avCT(745, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(746)%branchCT(0:0))
    call avCT(746, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(747)%branchCT(0:0))
    call avCT(747, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(748)%branchCT(0:0))
    call avCT(748, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(749)%branchCT(0:0))
    call avCT(749, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(750)%branchCT(0:0))
    call avCT(750, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(751)%branchCT(0:0))
    call avCT(751, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(752)%branchCT(0:0))
    call avCT(752, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(753)%branchCT(0:0))
    call avCT(753, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(754)%branchCT(0:0))
    call avCT(754, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(755)%branchCT(0:0))
    call avCT(755, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(756)%branchCT(0:0))
    call avCT(756, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(757)%branchCT(0:0))
    call avCT(757, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(758)%branchCT(0:0))
    call avCT(758, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(760)%branchCT(0:0))
    call avCT(760, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(761)%branchCT(0:0))
    call avCT(761, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(762)%branchCT(0:0))
    call avCT(762, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(763)%branchCT(0:0))
    call avCT(763, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7292])

    allocate(vertices(764)%branchCT(0:0))
    call avCT(764, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(765)%branchCT(0:0))
    call avCT(765, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7292])

    allocate(vertices(476)%branchCT(0:0))
    call avCT(476, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(478)%branchCT(0:0))
    call avCT(478, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(479)%branchCT(0:0))
    call avCT(479, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(480)%branchCT(0:0))
    call avCT(480, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(481)%branchCT(0:0))
    call avCT(481, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(482)%branchCT(0:0))
    call avCT(482, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(484)%branchCT(0:0))
    call avCT(484, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(487)%branchCT(0:0))
    call avCT(487, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(488)%branchCT(0:0))
    call avCT(488, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(489)%branchCT(0:0))
    call avCT(489, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(493)%branchCT(0:0))
    call avCT(493, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(494)%branchCT(0:0))
    call avCT(494, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(495)%branchCT(0:0))
    call avCT(495, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(496)%branchCT(0:0))
    call avCT(496, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7246])

    allocate(vertices(498)%branchCT(0:0))
    call avCT(498, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7246])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(767)%branchCT(0:0))
    call avCT(767, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(768)%branchCT(0:0))
    call avCT(768, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(769)%branchCT(0:0))
    call avCT(769, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(770)%branchCT(0:0))
    call avCT(770, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(771)%branchCT(0:0))
    call avCT(771, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(772)%branchCT(0:0))
    call avCT(772, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(773)%branchCT(0:0))
    call avCT(773, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(775)%branchCT(0:0))
    call avCT(775, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(776)%branchCT(0:0))
    call avCT(776, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(777)%branchCT(0:0))
    call avCT(777, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(778)%branchCT(0:0))
    call avCT(778, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(779)%branchCT(0:0))
    call avCT(779, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(780)%branchCT(0:0))
    call avCT(780, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(781)%branchCT(0:0))
    call avCT(781, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(782)%branchCT(0:0))
    call avCT(782, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(783)%branchCT(0:0))
    call avCT(783, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(784)%branchCT(0:0))
    call avCT(784, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(785)%branchCT(0:0))
    call avCT(785, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(786)%branchCT(0:0))
    call avCT(786, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(787)%branchCT(0:0))
    call avCT(787, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7251])

    allocate(vertices(788)%branchCT(0:0))
    call avCT(788, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7251])

    allocate(vertices(499)%branchCT(0:0))
    call avCT(499, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(500)%branchCT(0:0))
    call avCT(500, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(501)%branchCT(0:0))
    call avCT(501, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(502)%branchCT(0:0))
    call avCT(502, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(503)%branchCT(0:0))
    call avCT(503, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(504)%branchCT(0:0))
    call avCT(504, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(505)%branchCT(0:0))
    call avCT(505, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(509)%branchCT(0:0))
    call avCT(509, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(510)%branchCT(0:0))
    call avCT(510, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(514)%branchCT(0:0))
    call avCT(514, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(515)%branchCT(0:0))
    call avCT(515, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(517)%branchCT(0:0))
    call avCT(517, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(519)%branchCT(0:0))
    call avCT(519, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7256])

    allocate(vertices(520)%branchCT(0:0))
    call avCT(520, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(521)%branchCT(0:0))
    call avCT(521, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7256])

    allocate(vertices(789)%branchCT(0:0))
    call avCT(789, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(790)%branchCT(0:0))
    call avCT(790, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(791)%branchCT(0:0))
    call avCT(791, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(792)%branchCT(0:0))
    call avCT(792, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(793)%branchCT(0:0))
    call avCT(793, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(794)%branchCT(0:0))
    call avCT(794, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(795)%branchCT(0:0))
    call avCT(795, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(796)%branchCT(0:0))
    call avCT(796, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(797)%branchCT(0:0))
    call avCT(797, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(798)%branchCT(0:0))
    call avCT(798, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(799)%branchCT(0:0))
    call avCT(799, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(800)%branchCT(0:0))
    call avCT(800, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(801)%branchCT(0:0))
    call avCT(801, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(802)%branchCT(0:0))
    call avCT(802, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(803)%branchCT(0:0))
    call avCT(803, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(804)%branchCT(0:0))
    call avCT(804, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(805)%branchCT(0:0))
    call avCT(805, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(807)%branchCT(0:0))
    call avCT(807, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(808)%branchCT(0:0))
    call avCT(808, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(809)%branchCT(0:0))
    call avCT(809, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7261])

    allocate(vertices(810)%branchCT(0:0))
    call avCT(810, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(811)%branchCT(0:0))
    call avCT(811, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7261])

    allocate(vertices(522)%branchCT(0:0))
    call avCT(522, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7267])

    allocate(vertices(523)%branchCT(0:0))
    call avCT(523, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7267])

    allocate(vertices(524)%branchCT(0:0))
    call avCT(524, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7267])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7267])

    allocate(vertices(812)%branchCT(0:0))
    call avCT(812, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7273])

    allocate(vertices(813)%branchCT(0:0))
    call avCT(813, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7273])

    allocate(vertices(814)%branchCT(0:0))
    call avCT(814, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7273])

    allocate(vertices(816)%branchCT(0:0))
    call avCT(816, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7273])

    allocate(vertices(527)%branchCT(0:0))
    call avCT(527, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7276])

    allocate(vertices(528)%branchCT(0:0))
    call avCT(528, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_9645])

    allocate(vertices(529)%branchCT(0:0))
    call avCT(529, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_9645])

    allocate(vertices(530)%branchCT(0:0))
    call avCT(530, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7276])

    allocate(vertices(531)%branchCT(0:0))
    call avCT(531, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_9645])

    allocate(vertices(532)%branchCT(0:0))
    call avCT(532, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_10223])

    allocate(vertices(533)%branchCT(0:0))
    call avCT(533, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7324])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_10223])

    allocate(vertices(535)%branchCT(0:0))
    call avCT(535, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_10223])

    allocate(vertices(536)%branchCT(0:0))
    call avCT(536, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7324])

    allocate(vertices(537)%branchCT(0:0))
    call avCT(537, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_10239])

    allocate(vertices(538)%branchCT(0:0))
    call avCT(538, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7328])

    allocate(vertices(539)%branchCT(0:0))
    call avCT(539, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7328])

    allocate(vertices(540)%branchCT(0:0))
    call avCT(540, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_10239])

    allocate(vertices(541)%branchCT(0:0))
    call avCT(541, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_10239])

    allocate(vertices(542)%branchCT(0:0))
    call avCT(542, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(543)%branchCT(0:0))
    call avCT(543, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(544)%branchCT(0:0))
    call avCT(544, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(545)%branchCT(0:0))
    call avCT(545, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(546)%branchCT(0:0))
    call avCT(546, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(547)%branchCT(0:0))
    call avCT(547, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(548)%branchCT(0:0))
    call avCT(548, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(549)%branchCT(0:0))
    call avCT(549, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(550)%branchCT(0:0))
    call avCT(550, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(551)%branchCT(0:0))
    call avCT(551, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(552)%branchCT(0:0))
    call avCT(552, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(553)%branchCT(0:0))
    call avCT(553, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(554)%branchCT(0:0))
    call avCT(554, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(555)%branchCT(0:0))
    call avCT(555, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(556)%branchCT(0:0))
    call avCT(556, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(557)%branchCT(0:0))
    call avCT(557, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(558)%branchCT(0:0))
    call avCT(558, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(559)%branchCT(0:0))
    call avCT(559, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(560)%branchCT(0:0))
    call avCT(560, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(561)%branchCT(0:0))
    call avCT(561, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(562)%branchCT(0:0))
    call avCT(562, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(563)%branchCT(0:0))
    call avCT(563, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(564)%branchCT(0:0))
    call avCT(564, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(565)%branchCT(0:0))
    call avCT(565, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(566)%branchCT(0:0))
    call avCT(566, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(567)%branchCT(0:0))
    call avCT(567, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(568)%branchCT(0:0))
    call avCT(568, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(569)%branchCT(0:0))
    call avCT(569, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(570)%branchCT(0:0))
    call avCT(570, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(571)%branchCT(0:0))
    call avCT(571, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(572)%branchCT(0:0))
    call avCT(572, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(573)%branchCT(0:0))
    call avCT(573, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(574)%branchCT(0:0))
    call avCT(574, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7331])

    allocate(vertices(575)%branchCT(0:0))
    call avCT(575, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7331])

    allocate(vertices(576)%branchCT(0:0))
    call avCT(576, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7337])

    allocate(vertices(577)%branchCT(0:0))
    call avCT(577, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7337])

    allocate(vertices(578)%branchCT(0:0))
    call avCT(578, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7337])

    allocate(vertices(579)%branchCT(0:0))
    call avCT(579, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7337])

    allocate(vertices(580)%branchCT(0:0))
    call avCT(580, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7337])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7337])

    allocate(vertices(582)%branchCT(0:0))
    call avCT(582, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7337])

    allocate(vertices(583)%branchCT(0:0))
    call avCT(583, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7337])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7337])

    allocate(vertices(585)%branchCT(0:0))
    call avCT(585, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7337])

    allocate(vertices(586)%branchCT(0:0))
    call avCT(586, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7337])

    allocate(vertices(587)%branchCT(0:0))
    call avCT(587, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(588)%branchCT(0:0))
    call avCT(588, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(589)%branchCT(0:0))
    call avCT(589, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(590)%branchCT(0:0))
    call avCT(590, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(593)%branchCT(0:0))
    call avCT(593, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(595)%branchCT(0:0))
    call avCT(595, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(596)%branchCT(0:0))
    call avCT(596, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(598)%branchCT(0:0))
    call avCT(598, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(599)%branchCT(0:0))
    call avCT(599, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(600)%branchCT(0:0))
    call avCT(600, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(601)%branchCT(0:0))
    call avCT(601, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(604)%branchCT(0:0))
    call avCT(604, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(606)%branchCT(0:0))
    call avCT(606, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(608)%branchCT(0:0))
    call avCT(608, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7342])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7342])

    allocate(vertices(610)%branchCT(0:0))
    call avCT(610, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(611)%branchCT(0:0))
    call avCT(611, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(612)%branchCT(0:0))
    call avCT(612, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(613)%branchCT(0:0))
    call avCT(613, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(614)%branchCT(0:0))
    call avCT(614, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(620)%branchCT(0:0))
    call avCT(620, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(621)%branchCT(0:0))
    call avCT(621, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7356])

    allocate(vertices(622)%branchCT(0:0))
    call avCT(622, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7356])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7356])

    allocate(vertices(624)%branchCT(0:0))
    call avCT(624, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_7356])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7356])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7362])

    allocate(vertices(627)%branchCT(0:0))
    call avCT(627, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7362])

    allocate(vertices(628)%branchCT(0:0))
    call avCT(628, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7362])

    allocate(vertices(629)%branchCT(0:0))
    call avCT(629, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_7362])

    allocate(vertices(630)%branchCT(0:0))
    call avCT(630, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7362])

    allocate(vertices(822)%branchCT(0:0))
    call avCT(822, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(823)%branchCT(0:0))
    call avCT(823, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7370])

    allocate(vertices(824)%branchCT(0:0))
    call avCT(824, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7370])

    allocate(vertices(825)%branchCT(0:0))
    call avCT(825, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(826)%branchCT(0:0))
    call avCT(826, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7370])

    allocate(vertices(827)%branchCT(0:0))
    call avCT(827, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(828)%branchCT(0:0))
    call avCT(828, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7370])

    allocate(vertices(829)%branchCT(0:0))
    call avCT(829, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(830)%branchCT(0:0))
    call avCT(830, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7370])

    allocate(vertices(831)%branchCT(0:0))
    call avCT(831, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7370])

    allocate(vertices(832)%branchCT(0:0))
    call avCT(832, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7370])

    allocate(vertices(654)%branchCT(0:0))
    call avCT(654, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_10560])

    allocate(vertices(655)%branchCT(0:0))
    call avCT(655, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7374])

    allocate(vertices(656)%branchCT(0:0))
    call avCT(656, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_10560])

    allocate(vertices(657)%branchCT(0:0))
    call avCT(657, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_10560])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7374])

    allocate(vertices(1423)%branchCT(0:0))
    call avCT(1423, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7375])

    allocate(vertices(1424)%branchCT(0:0))
    call avCT(1424, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_10575])

    allocate(vertices(1425)%branchCT(0:0))
    call avCT(1425, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_10575])

    allocate(vertices(1426)%branchCT(0:0))
    call avCT(1426, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7375])

    allocate(vertices(1427)%branchCT(0:0))
    call avCT(1427, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_10575])

    allocate(vertices(659)%branchCT(0:0))
    call avCT(659, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7379])

    allocate(vertices(660)%branchCT(0:0))
    call avCT(660, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_10585])

    allocate(vertices(661)%branchCT(0:0))
    call avCT(661, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_10585])

    allocate(vertices(662)%branchCT(0:0))
    call avCT(662, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7379])

    allocate(vertices(663)%branchCT(0:0))
    call avCT(663, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_10585])

    allocate(vertices(1428)%branchCT(0:0))
    call avCT(1428, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_7380])

    allocate(vertices(1429)%branchCT(0:0))
    call avCT(1429, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_10597])

    allocate(vertices(1430)%branchCT(0:0))
    call avCT(1430, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_10597])

    allocate(vertices(1431)%branchCT(0:0))
    call avCT(1431, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_7380])

    allocate(vertices(1432)%branchCT(0:0))
    call avCT(1432, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_10597])

    allocate(vertices(817)%branchCT(0:0))
    call avCT(817, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7447])

    allocate(vertices(818)%branchCT(0:0))
    call avCT(818, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7447])

    allocate(vertices(819)%branchCT(0:0))
    call avCT(819, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7447])

    allocate(vertices(820)%branchCT(0:0))
    call avCT(820, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7447])

    allocate(vertices(821)%branchCT(0:0))
    call avCT(821, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7447])

    allocate(vertices(1433)%branchCT(0:0))
    call avCT(1433, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1434)%branchCT(0:0))
    call avCT(1434, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1435)%branchCT(0:0))
    call avCT(1435, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1436)%branchCT(0:0))
    call avCT(1436, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1437)%branchCT(0:0))
    call avCT(1437, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1438)%branchCT(0:0))
    call avCT(1438, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1439)%branchCT(0:0))
    call avCT(1439, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1440)%branchCT(0:0))
    call avCT(1440, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1441)%branchCT(0:0))
    call avCT(1441, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1442)%branchCT(0:0))
    call avCT(1442, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7448])

    allocate(vertices(1443)%branchCT(0:0))
    call avCT(1443, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7448])

    allocate(vertices(833)%branchCT(0:0))
    call avCT(833, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7452])

    allocate(vertices(834)%branchCT(0:0))
    call avCT(834, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7452])

    allocate(vertices(835)%branchCT(0:0))
    call avCT(835, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7452])

    allocate(vertices(836)%branchCT(0:0))
    call avCT(836, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7452])

    allocate(vertices(837)%branchCT(0:0))
    call avCT(837, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7452])

    allocate(vertices(1444)%branchCT(0:0))
    call avCT(1444, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1445)%branchCT(0:0))
    call avCT(1445, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1446)%branchCT(0:0))
    call avCT(1446, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1447)%branchCT(0:0))
    call avCT(1447, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1448)%branchCT(0:0))
    call avCT(1448, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1449)%branchCT(0:0))
    call avCT(1449, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1450)%branchCT(0:0))
    call avCT(1450, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1451)%branchCT(0:0))
    call avCT(1451, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1452)%branchCT(0:0))
    call avCT(1452, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1453)%branchCT(0:0))
    call avCT(1453, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7453])

    allocate(vertices(1454)%branchCT(0:0))
    call avCT(1454, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7453])

    allocate(vertices(838)%branchCT(0:0))
    call avCT(838, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7458])

    allocate(vertices(839)%branchCT(0:0))
    call avCT(839, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7458])

    allocate(vertices(840)%branchCT(0:0))
    call avCT(840, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7458])

    allocate(vertices(841)%branchCT(0:0))
    call avCT(841, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7458])

    allocate(vertices(842)%branchCT(0:0))
    call avCT(842, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7458])

    allocate(vertices(844)%branchCT(0:0))
    call avCT(844, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7458])

    allocate(vertices(845)%branchCT(0:0))
    call avCT(845, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7458])

    allocate(vertices(846)%branchCT(0:0))
    call avCT(846, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7458])

    allocate(vertices(847)%branchCT(0:0))
    call avCT(847, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7458])

    allocate(vertices(848)%branchCT(0:0))
    call avCT(848, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7458])

    allocate(vertices(1455)%branchCT(0:0))
    call avCT(1455, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1456)%branchCT(0:0))
    call avCT(1456, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1457)%branchCT(0:0))
    call avCT(1457, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1458)%branchCT(0:0))
    call avCT(1458, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1459)%branchCT(0:0))
    call avCT(1459, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1460)%branchCT(0:0))
    call avCT(1460, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1461)%branchCT(0:0))
    call avCT(1461, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1462)%branchCT(0:0))
    call avCT(1462, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1463)%branchCT(0:0))
    call avCT(1463, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1464)%branchCT(0:0))
    call avCT(1464, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1465)%branchCT(0:0))
    call avCT(1465, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1466)%branchCT(0:0))
    call avCT(1466, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1467)%branchCT(0:0))
    call avCT(1467, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1468)%branchCT(0:0))
    call avCT(1468, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1469)%branchCT(0:0))
    call avCT(1469, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1470)%branchCT(0:0))
    call avCT(1470, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1471)%branchCT(0:0))
    call avCT(1471, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1472)%branchCT(0:0))
    call avCT(1472, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1473)%branchCT(0:0))
    call avCT(1473, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1474)%branchCT(0:0))
    call avCT(1474, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1475)%branchCT(0:0))
    call avCT(1475, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1476)%branchCT(0:0))
    call avCT(1476, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7459])

    allocate(vertices(1477)%branchCT(0:0))
    call avCT(1477, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7459])

    allocate(vertices(849)%branchCT(0:0))
    call avCT(849, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7463])

    allocate(vertices(850)%branchCT(0:0))
    call avCT(850, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7463])

    allocate(vertices(851)%branchCT(0:0))
    call avCT(851, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7463])

    allocate(vertices(852)%branchCT(0:0))
    call avCT(852, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7463])

    allocate(vertices(853)%branchCT(0:0))
    call avCT(853, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7463])

    allocate(vertices(1478)%branchCT(0:0))
    call avCT(1478, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1479)%branchCT(0:0))
    call avCT(1479, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1480)%branchCT(0:0))
    call avCT(1480, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1481)%branchCT(0:0))
    call avCT(1481, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1482)%branchCT(0:0))
    call avCT(1482, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1483)%branchCT(0:0))
    call avCT(1483, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1484)%branchCT(0:0))
    call avCT(1484, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1485)%branchCT(0:0))
    call avCT(1485, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1486)%branchCT(0:0))
    call avCT(1486, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1487)%branchCT(0:0))
    call avCT(1487, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_7464])

    allocate(vertices(1488)%branchCT(0:0))
    call avCT(1488, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_7464])

    allocate(vertices(854)%branchCT(0:0))
    call avCT(854, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7474])

    allocate(vertices(855)%branchCT(0:0))
    call avCT(855, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7474])

    allocate(vertices(1489)%branchCT(0:0))
    call avCT(1489, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7475])

    allocate(vertices(1490)%branchCT(0:0))
    call avCT(1490, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_7475])

    allocate(vertices(1491)%branchCT(0:0))
    call avCT(1491, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7475])

    allocate(vertices(1492)%branchCT(0:0))
    call avCT(1492, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7475])

    allocate(vertices(1493)%branchCT(0:0))
    call avCT(1493, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7475])

    allocate(vertices(856)%branchCT(0:0))
    call avCT(856, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7481])

    allocate(vertices(857)%branchCT(0:0))
    call avCT(857, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7481])

    allocate(vertices(1494)%branchCT(0:0))
    call avCT(1494, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7482])

    allocate(vertices(1495)%branchCT(0:0))
    call avCT(1495, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_7482])

    allocate(vertices(1496)%branchCT(0:0))
    call avCT(1496, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7482])

    allocate(vertices(1497)%branchCT(0:0))
    call avCT(1497, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_7482])

    allocate(vertices(1498)%branchCT(0:0))
    call avCT(1498, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_7482])

    allocate(vertices(858)%branchCT(0:0))
    call avCT(858, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_7492, nGC_7493])

    allocate(vertices(859)%branchCT(0:0))
    call avCT(859, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_7492, nGC_7493])

    allocate(vertices(860)%branchCT(0:0))
    call avCT(860, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_7492, nGC_7493])

    allocate(vertices(861)%branchCT(0:0))
    call avCT(861, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_7492, nGC_7493])

    allocate(vertices(862)%branchCT(0:0))
    call avCT(862, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_7492, nGC_7493])

    allocate(vertices(1038)%branchCT(0:0))
    call avCT(1038, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_7501, nGC_7502])

    allocate(vertices(1039)%branchCT(0:0))
    call avCT(1039, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_7501, nGC_7502])

    allocate(vertices(1040)%branchCT(0:0))
    call avCT(1040, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_7501, nGC_7502])

    allocate(vertices(1041)%branchCT(0:0))
    call avCT(1041, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_7501, nGC_7502])

    allocate(vertices(1042)%branchCT(0:0))
    call avCT(1042, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_7501, nGC_7502])

    allocate(vertices(863)%branchCT(0:0))
    call avCT(863, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_7511, nGC_7512])

    allocate(vertices(864)%branchCT(0:0))
    call avCT(864, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_7511, nGC_7512])

    allocate(vertices(865)%branchCT(0:0))
    call avCT(865, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_7511, nGC_7512])

    allocate(vertices(866)%branchCT(0:0))
    call avCT(866, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_7511, nGC_7512])

    allocate(vertices(867)%branchCT(0:0))
    call avCT(867, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_7511, nGC_7512])

    allocate(vertices(1043)%branchCT(0:0))
    call avCT(1043, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_7520, nGC_7521])

    allocate(vertices(1044)%branchCT(0:0))
    call avCT(1044, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_7520, nGC_7521])

    allocate(vertices(1045)%branchCT(0:0))
    call avCT(1045, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_7520, nGC_7521])

    allocate(vertices(1046)%branchCT(0:0))
    call avCT(1046, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_7520, nGC_7521])

    allocate(vertices(1047)%branchCT(0:0))
    call avCT(1047, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_7520, nGC_7521])

    allocate(vertices(868)%branchCT(0:0))
    call avCT(868, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_7530, nGC_7531])

    allocate(vertices(869)%branchCT(0:0))
    call avCT(869, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_7530, nGC_7531])

    allocate(vertices(870)%branchCT(0:0))
    call avCT(870, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_7530, nGC_7531])

    allocate(vertices(871)%branchCT(0:0))
    call avCT(871, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_7530, nGC_7531])

    allocate(vertices(872)%branchCT(0:0))
    call avCT(872, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_7530, nGC_7531])

    allocate(vertices(1048)%branchCT(0:0))
    call avCT(1048, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_7539, nGC_7540])

    allocate(vertices(1049)%branchCT(0:0))
    call avCT(1049, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_7539, nGC_7540])

    allocate(vertices(1050)%branchCT(0:0))
    call avCT(1050, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_7539, nGC_7540])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_7539, nGC_7540])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_7539, nGC_7540])

    allocate(vertices(873)%branchCT(0:1))
    call avCT(873, 0, 19, 5, 0, FVFa0, 0, [0, 3], [nGC_7552, nGC_7553])

    call avCT(873, 1, 19, 5, 0, FVFa0, 0, [2, 1], [nGC_7544, nGC_7541])

    allocate(vertices(874)%branchCT(0:1))
    call avCT(874, 0, 17, 5, 0, FaFV0, 0, [0, 3], [nGC_7552, nGC_7553])

    call avCT(874, 1, 17, 5, 0, FaFV0, 0, [2, 1], [nGC_7544, nGC_7541])

    allocate(vertices(875)%branchCT(0:1))
    call avCT(875, 0, 18, 5, 0, FaVF0, 0, [0, 3], [nGC_7552, nGC_7553])

    call avCT(875, 1, 18, 5, 0, FaVF0, 0, [2, 1], [nGC_7544, nGC_7541])

    allocate(vertices(876)%branchCT(0:1))
    call avCT(876, 0, 21, 5, 0, VFFa0, 0, [0, 3], [nGC_7552, nGC_7553])

    call avCT(876, 1, 21, 5, 0, VFFa0, 0, [2, 1], [nGC_7544, nGC_7541])

    allocate(vertices(877)%branchCT(0:1))
    call avCT(877, 0, 20, 5, 0, VFaF0, 0, [2, 1], [nGC_7544, nGC_7541])

    call avCT(877, 1, 20, 5, 0, VFaF0, 0, [0, 3], [nGC_7552, nGC_7553])

    allocate(vertices(993)%branchCT(0:1))
    call avCT(993, 0, 19, 5, 0, FVFa0, 0, [0, 3], [nGC_7563, nGC_7564])

    call avCT(993, 1, 19, 5, 0, FVFa0, 0, [2, 1], [nGC_7557, nGC_7560])

    allocate(vertices(994)%branchCT(0:1))
    call avCT(994, 0, 21, 5, 0, VFFa0, 0, [0, 3], [nGC_7563, nGC_7564])

    call avCT(994, 1, 21, 5, 0, VFFa0, 0, [2, 1], [nGC_7557, nGC_7560])

    allocate(vertices(995)%branchCT(0:1))
    call avCT(995, 0, 20, 5, 0, VFaF0, 0, [0, 3], [nGC_7563, nGC_7564])

    call avCT(995, 1, 20, 5, 0, VFaF0, 0, [2, 1], [nGC_7557, nGC_7560])

    allocate(vertices(996)%branchCT(0:1))
    call avCT(996, 0, 17, 5, 0, FaFV0, 0, [0, 3], [nGC_7563, nGC_7564])

    call avCT(996, 1, 17, 5, 0, FaFV0, 0, [2, 1], [nGC_7557, nGC_7560])

    allocate(vertices(997)%branchCT(0:1))
    call avCT(997, 0, 18, 5, 0, FaVF0, 0, [0, 3], [nGC_7563, nGC_7564])

    call avCT(997, 1, 18, 5, 0, FaVF0, 0, [2, 1], [nGC_7557, nGC_7560])

    allocate(vertices(878)%branchCT(0:1))
    call avCT(878, 0, 18, 5, 0, FaVF0, 0, [2, 1], [nGC_7568, nGC_7565])

    call avCT(878, 1, 18, 5, 0, FaVF0, 0, [0, 3], [nGC_7575, nGC_7576])

    allocate(vertices(879)%branchCT(0:1))
    call avCT(879, 0, 17, 5, 0, FaFV0, 0, [0, 3], [nGC_7575, nGC_7576])

    call avCT(879, 1, 17, 5, 0, FaFV0, 0, [2, 1], [nGC_7568, nGC_7565])

    allocate(vertices(880)%branchCT(0:1))
    call avCT(880, 0, 20, 5, 0, VFaF0, 0, [0, 3], [nGC_7575, nGC_7576])

    call avCT(880, 1, 20, 5, 0, VFaF0, 0, [2, 1], [nGC_7568, nGC_7565])

  end subroutine fill_vertices_mdl3
end module vertices_info3
