!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  implicit none
  contains
  subroutine fill_vertices_mdl6()
    use class_vertices
    use class_couplings
    allocate(vertices(564)%branchR2(0:0))
    call avR2(564, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(563)%branchR2(0:0))
    call avR2(563, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(559)%branchR2(0:0))
    call avR2(559, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(560)%branchR2(0:0))
    call avR2(560, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(567)%branchR2(0:0))
    call avR2(567, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(47)%branchR2(0:0))
    call avR2(47, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(569)%branchR2(0:0))
    call avR2(569, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(568)%branchR2(0:0))
    call avR2(568, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(565)%branchR2(0:0))
    call avR2(565, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(566)%branchR2(0:0))
    call avR2(566, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(573)%branchR2(0:0))
    call avR2(573, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(572)%branchR2(0:0))
    call avR2(572, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(575)%branchR2(0:0))
    call avR2(575, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(574)%branchR2(0:0))
    call avR2(574, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(570)%branchR2(0:0))
    call avR2(570, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(571)%branchR2(0:0))
    call avR2(571, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(553)%branchR2(0:0))
    call avR2(553, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(554)%branchR2(0:0))
    call avR2(554, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(555)%branchR2(0:0))
    call avR2(555, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5139])

    allocate(vertices(556)%branchR2(0:0))
    call avR2(556, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(557)%branchR2(0:0))
    call avR2(557, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(558)%branchR2(0:0))
    call avR2(558, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5139])

    allocate(vertices(1584)%branchR2(0:0))
    call avR2(1584, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5140, nGC_5140, nGC_5140&
    ])

    allocate(vertices(1585)%branchR2(0:0))
    call avR2(1585, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5140, nGC_5140, nGC_5140&
    ])

    allocate(vertices(1586)%branchR2(0:0))
    call avR2(1586, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5140, nGC_5140, nGC_5140&
    ])

    allocate(vertices(1587)%branchR2(0:0))
    call avR2(1587, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5140, nGC_5140, nGC_5140&
    ])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5141])

    allocate(vertices(66)%branchR2(0:0))
    call avR2(66, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5141])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5141])

    allocate(vertices(828)%branchR2(0:0))
    call avR2(828, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5141])

    allocate(vertices(826)%branchR2(0:0))
    call avR2(826, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5141])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5141])

    allocate(vertices(832)%branchR2(0:0))
    call avR2(832, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5141])

    allocate(vertices(831)%branchR2(0:0))
    call avR2(831, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5141])

    allocate(vertices(830)%branchR2(0:0))
    call avR2(830, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5141])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5141])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5141])

    allocate(vertices(822)%branchR2(0:0))
    call avR2(822, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5141])

    allocate(vertices(1588)%branchR2(0:1))
    call avR2(1588, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_5142, nGC_5142,        &
    nGC_5142])

    call avR2(1588, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_5143, nGC_5143,        &
    nGC_5143])

    allocate(vertices(1589)%branchR2(0:1))
    call avR2(1589, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_5142, nGC_5142,        &
    nGC_5142])

    call avR2(1589, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_5143, nGC_5143,        &
    nGC_5143])

    allocate(vertices(1590)%branchR2(0:1))
    call avR2(1590, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_5142, nGC_5142,        &
    nGC_5142])

    call avR2(1590, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_5143, nGC_5143,        &
    nGC_5143])

    allocate(vertices(1591)%branchR2(0:1))
    call avR2(1591, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_5142, nGC_5142,        &
    nGC_5142])

    call avR2(1591, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_5143, nGC_5143,        &
    nGC_5143])

    allocate(vertices(1592)%branchR2(0:1))
    call avR2(1592, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_5142, nGC_5142,        &
    nGC_5142])

    call avR2(1592, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_5143, nGC_5143,        &
    nGC_5143])

    allocate(vertices(1593)%branchR2(0:1))
    call avR2(1593, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_5142, nGC_5142,        &
    nGC_5142])

    call avR2(1593, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_5143, nGC_5143,        &
    nGC_5143])

    allocate(vertices(61)%branchR2(0:0))
    call avR2(61, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(765)%branchR2(0:0))
    call avR2(765, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(762)%branchR2(0:0))
    call avR2(762, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(761)%branchR2(0:0))
    call avR2(761, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(763)%branchR2(0:0))
    call avR2(763, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(759)%branchR2(0:0))
    call avR2(759, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(760)%branchR2(0:0))
    call avR2(760, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(756)%branchR2(0:0))
    call avR2(756, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(755)%branchR2(0:0))
    call avR2(755, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(758)%branchR2(0:0))
    call avR2(758, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(757)%branchR2(0:0))
    call avR2(757, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(747)%branchR2(0:0))
    call avR2(747, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(746)%branchR2(0:0))
    call avR2(746, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(745)%branchR2(0:0))
    call avR2(745, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(744)%branchR2(0:0))
    call avR2(744, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(743)%branchR2(0:0))
    call avR2(743, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(753)%branchR2(0:0))
    call avR2(753, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(754)%branchR2(0:0))
    call avR2(754, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(750)%branchR2(0:0))
    call avR2(750, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(749)%branchR2(0:0))
    call avR2(749, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(752)%branchR2(0:0))
    call avR2(752, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(751)%branchR2(0:0))
    call avR2(751, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(811)%branchR2(0:0))
    call avR2(811, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(808)%branchR2(0:0))
    call avR2(808, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(807)%branchR2(0:0))
    call avR2(807, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(809)%branchR2(0:0))
    call avR2(809, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(805)%branchR2(0:0))
    call avR2(805, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(806)%branchR2(0:0))
    call avR2(806, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(802)%branchR2(0:0))
    call avR2(802, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(801)%branchR2(0:0))
    call avR2(801, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(804)%branchR2(0:0))
    call avR2(804, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(794)%branchR2(0:0))
    call avR2(794, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(793)%branchR2(0:0))
    call avR2(793, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(792)%branchR2(0:0))
    call avR2(792, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(791)%branchR2(0:0))
    call avR2(791, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(789)%branchR2(0:0))
    call avR2(789, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(799)%branchR2(0:0))
    call avR2(799, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(796)%branchR2(0:0))
    call avR2(796, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(795)%branchR2(0:0))
    call avR2(795, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(798)%branchR2(0:0))
    call avR2(798, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(797)%branchR2(0:0))
    call avR2(797, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(782)%branchR2(0:0))
    call avR2(782, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(62)%branchR2(0:0))
    call avR2(62, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(781)%branchR2(0:0))
    call avR2(781, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(780)%branchR2(0:0))
    call avR2(780, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(779)%branchR2(0:0))
    call avR2(779, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(785)%branchR2(0:0))
    call avR2(785, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(788)%branchR2(0:0))
    call avR2(788, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(787)%branchR2(0:0))
    call avR2(787, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(783)%branchR2(0:0))
    call avR2(783, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(777)%branchR2(0:0))
    call avR2(777, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(776)%branchR2(0:0))
    call avR2(776, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(773)%branchR2(0:0))
    call avR2(773, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(769)%branchR2(0:0))
    call avR2(769, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(768)%branchR2(0:0))
    call avR2(768, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(771)%branchR2(0:0))
    call avR2(771, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(770)%branchR2(0:0))
    call avR2(770, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(766)%branchR2(0:0))
    call avR2(766, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(684)%branchR2(0:0))
    call avR2(684, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(57)%branchR2(0:0))
    call avR2(57, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(691)%branchR2(0:0))
    call avR2(691, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(687)%branchR2(0:0))
    call avR2(687, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(686)%branchR2(0:0))
    call avR2(686, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(689)%branchR2(0:0))
    call avR2(689, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(688)%branchR2(0:0))
    call avR2(688, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(671)%branchR2(0:0))
    call avR2(671, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(673)%branchR2(0:0))
    call avR2(673, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(670)%branchR2(0:0))
    call avR2(670, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(678)%branchR2(0:0))
    call avR2(678, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(677)%branchR2(0:0))
    call avR2(677, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(680)%branchR2(0:0))
    call avR2(680, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(679)%branchR2(0:0))
    call avR2(679, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(675)%branchR2(0:0))
    call avR2(675, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5147])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5147])

    allocate(vertices(1594)%branchR2(0:1))
    call avR2(1594, 0, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_5148])

    call avR2(1594, 1, 48, 5, 0, SVVS0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1595)%branchR2(0:1))
    call avR2(1595, 0, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_5148])

    call avR2(1595, 1, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1596)%branchR2(0:1))
    call avR2(1596, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_5148])

    call avR2(1596, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1597)%branchR2(0:1))
    call avR2(1597, 0, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_5148])

    call avR2(1597, 1, 54, 5, 0, VVSS0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1598)%branchR2(0:1))
    call avR2(1598, 0, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_5148])

    call avR2(1598, 1, 54, 5, 0, VVSS0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1599)%branchR2(0:1))
    call avR2(1599, 0, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_5148])

    call avR2(1599, 1, 52, 5, 0, VSVS0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1600)%branchR2(0:1))
    call avR2(1600, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_5148])

    call avR2(1600, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1601)%branchR2(0:1))
    call avR2(1601, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_5148])

    call avR2(1601, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1602)%branchR2(0:1))
    call avR2(1602, 0, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_5148])

    call avR2(1602, 1, 52, 5, 0, VSVS0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1603)%branchR2(0:1))
    call avR2(1603, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_5148])

    call avR2(1603, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1604)%branchR2(0:1))
    call avR2(1604, 0, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_5148])

    call avR2(1604, 1, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_5149])

    allocate(vertices(1605)%branchR2(0:1))
    call avR2(1605, 0, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_5148])

    call avR2(1605, 1, 48, 5, 0, SVVS0, 0, [2, 2], [nGC_5149])

    allocate(vertices(730)%branchR2(0:0))
    call avR2(730, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(731)%branchR2(0:0))
    call avR2(731, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(728)%branchR2(0:0))
    call avR2(728, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(59)%branchR2(0:0))
    call avR2(59, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(729)%branchR2(0:0))
    call avR2(729, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(736)%branchR2(0:0))
    call avR2(736, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(737)%branchR2(0:0))
    call avR2(737, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(733)%branchR2(0:0))
    call avR2(733, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(732)%branchR2(0:0))
    call avR2(732, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(735)%branchR2(0:0))
    call avR2(735, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(734)%branchR2(0:0))
    call avR2(734, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(718)%branchR2(0:0))
    call avR2(718, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(717)%branchR2(0:0))
    call avR2(717, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(720)%branchR2(0:0))
    call avR2(720, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(719)%branchR2(0:0))
    call avR2(719, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(715)%branchR2(0:0))
    call avR2(715, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(716)%branchR2(0:0))
    call avR2(716, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(724)%branchR2(0:0))
    call avR2(724, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(723)%branchR2(0:0))
    call avR2(723, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(726)%branchR2(0:0))
    call avR2(726, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(725)%branchR2(0:0))
    call avR2(725, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(721)%branchR2(0:0))
    call avR2(721, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5150])

    allocate(vertices(722)%branchR2(0:0))
    call avR2(722, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5150])

    allocate(vertices(701)%branchR2(0:0))
    call avR2(701, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(700)%branchR2(0:0))
    call avR2(700, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(703)%branchR2(0:0))
    call avR2(703, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(702)%branchR2(0:0))
    call avR2(702, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(698)%branchR2(0:0))
    call avR2(698, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(699)%branchR2(0:0))
    call avR2(699, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(714)%branchR2(0:0))
    call avR2(714, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(713)%branchR2(0:0))
    call avR2(713, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(712)%branchR2(0:0))
    call avR2(712, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(711)%branchR2(0:0))
    call avR2(711, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(710)%branchR2(0:0))
    call avR2(710, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(709)%branchR2(0:0))
    call avR2(709, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(706)%branchR2(0:0))
    call avR2(706, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(705)%branchR2(0:0))
    call avR2(705, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(708)%branchR2(0:0))
    call avR2(708, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(707)%branchR2(0:0))
    call avR2(707, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(704)%branchR2(0:0))
    call avR2(704, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(58)%branchR2(0:0))
    call avR2(58, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(692)%branchR2(0:0))
    call avR2(692, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(697)%branchR2(0:0))
    call avR2(697, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(695)%branchR2(0:0))
    call avR2(695, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(9)%branchR2(0:0))
    call avR2(9, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5152])

    allocate(vertices(15)%branchR2(0:0))
    call avR2(15, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(269)%branchR2(0:0))
    call avR2(269, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(270)%branchR2(0:0))
    call avR2(270, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(271)%branchR2(0:0))
    call avR2(271, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(272)%branchR2(0:0))
    call avR2(272, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(273)%branchR2(0:0))
    call avR2(273, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(550)%branchR2(0:0))
    call avR2(550, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5154])

    allocate(vertices(549)%branchR2(0:0))
    call avR2(549, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5154])

    allocate(vertices(548)%branchR2(0:0))
    call avR2(548, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5154])

    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5154])

    allocate(vertices(552)%branchR2(0:0))
    call avR2(552, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5154])

    allocate(vertices(551)%branchR2(0:0))
    call avR2(551, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5154])

    allocate(vertices(545)%branchR2(0:0))
    call avR2(545, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5154])

    allocate(vertices(544)%branchR2(0:0))
    call avR2(544, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5154])

    allocate(vertices(547)%branchR2(0:0))
    call avR2(547, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5154])

    allocate(vertices(546)%branchR2(0:0))
    call avR2(546, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5154])

    allocate(vertices(542)%branchR2(0:0))
    call avR2(542, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5154])

    allocate(vertices(543)%branchR2(0:0))
    call avR2(543, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5154])

    allocate(vertices(301)%branchR2(0:0))
    call avR2(301, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(302)%branchR2(0:0))
    call avR2(302, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(303)%branchR2(0:0))
    call avR2(303, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(296)%branchR2(0:0))
    call avR2(296, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(297)%branchR2(0:0))
    call avR2(297, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(293)%branchR2(0:0))
    call avR2(293, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(19)%branchR2(0:0))
    call avR2(19, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(295)%branchR2(0:0))
    call avR2(295, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(294)%branchR2(0:0))
    call avR2(294, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(300)%branchR2(0:0))
    call avR2(300, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(299)%branchR2(0:0))
    call avR2(299, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(298)%branchR2(0:0))
    call avR2(298, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(257)%branchR2(0:0))
    call avR2(257, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5156])

    allocate(vertices(256)%branchR2(0:0))
    call avR2(256, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5156])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5156])

    allocate(vertices(254)%branchR2(0:0))
    call avR2(254, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5156])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5156])

    allocate(vertices(12)%branchR2(0:0))
    call avR2(12, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5156])

    allocate(vertices(1606)%branchR2(0:1))
    call avR2(1606, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1606, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1607)%branchR2(0:1))
    call avR2(1607, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1607, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1608)%branchR2(0:1))
    call avR2(1608, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1608, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1609)%branchR2(0:1))
    call avR2(1609, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1609, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1610)%branchR2(0:1))
    call avR2(1610, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1610, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1611)%branchR2(0:1))
    call avR2(1611, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1611, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1612)%branchR2(0:1))
    call avR2(1612, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1612, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1613)%branchR2(0:1))
    call avR2(1613, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1613, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1614)%branchR2(0:1))
    call avR2(1614, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1614, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1615)%branchR2(0:1))
    call avR2(1615, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1615, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1616)%branchR2(0:1))
    call avR2(1616, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1616, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(1617)%branchR2(0:1))
    call avR2(1617, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_5157, nGC_5157,        &
    nGC_5157])

    call avR2(1617, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_5158, nGC_5158,        &
    nGC_5158])

    allocate(vertices(8)%branchR2(0:0))
    call avR2(8, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5159])

    allocate(vertices(289)%branchR2(0:0))
    call avR2(289, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5160])

    allocate(vertices(288)%branchR2(0:0))
    call avR2(288, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5160])

    allocate(vertices(287)%branchR2(0:0))
    call avR2(287, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5160])

    allocate(vertices(286)%branchR2(0:0))
    call avR2(286, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5160])

    allocate(vertices(285)%branchR2(0:0))
    call avR2(285, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5160])

    allocate(vertices(17)%branchR2(0:0))
    call avR2(17, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5160])

    allocate(vertices(292)%branchR2(0:0))
    call avR2(292, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5161])

    allocate(vertices(291)%branchR2(0:0))
    call avR2(291, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5161])

    allocate(vertices(290)%branchR2(0:0))
    call avR2(290, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5161])

    allocate(vertices(18)%branchR2(0:0))
    call avR2(18, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5161])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5162])

    allocate(vertices(617)%branchR2(0:0))
    call avR2(617, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5162])

    allocate(vertices(616)%branchR2(0:0))
    call avR2(616, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5162])

    allocate(vertices(50)%branchR2(0:0))
    call avR2(50, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5162])

    allocate(vertices(620)%branchR2(0:0))
    call avR2(620, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5162])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5162])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5162])

    allocate(vertices(612)%branchR2(0:0))
    call avR2(612, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5162])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5162])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5162])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5162])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5162])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5163])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5163])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5163])

    allocate(vertices(820)%branchR2(0:0))
    call avR2(820, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5163])

    allocate(vertices(821)%branchR2(0:0))
    call avR2(821, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5163])

    allocate(vertices(65)%branchR2(0:0))
    call avR2(65, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5163])

    allocate(vertices(602)%branchR2(0:0))
    call avR2(602, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(603)%branchR2(0:0))
    call avR2(603, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(599)%branchR2(0:0))
    call avR2(599, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(600)%branchR2(0:0))
    call avR2(600, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(596)%branchR2(0:0))
    call avR2(596, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(595)%branchR2(0:0))
    call avR2(595, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(598)%branchR2(0:0))
    call avR2(598, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(597)%branchR2(0:0))
    call avR2(597, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(594)%branchR2(0:0))
    call avR2(594, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(607)%branchR2(0:0))
    call avR2(607, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(49)%branchR2(0:0))
    call avR2(49, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(605)%branchR2(0:0))
    call avR2(605, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(606)%branchR2(0:0))
    call avR2(606, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(589)%branchR2(0:0))
    call avR2(589, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(587)%branchR2(0:0))
    call avR2(587, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(588)%branchR2(0:0))
    call avR2(588, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(592)%branchR2(0:0))
    call avR2(592, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(329)%branchR2(0:0))
    call avR2(329, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5165])

    allocate(vertices(328)%branchR2(0:0))
    call avR2(328, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5165])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5165])

    allocate(vertices(21)%branchR2(0:0))
    call avR2(21, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5165])

    allocate(vertices(849)%branchR2(0:0))
    call avR2(849, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5166])

    allocate(vertices(850)%branchR2(0:0))
    call avR2(850, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5166])

    allocate(vertices(851)%branchR2(0:0))
    call avR2(851, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5166])

    allocate(vertices(852)%branchR2(0:0))
    call avR2(852, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5166])

    allocate(vertices(853)%branchR2(0:0))
    call avR2(853, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5166])

    allocate(vertices(69)%branchR2(0:0))
    call avR2(69, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5166])

    allocate(vertices(582)%branchR2(0:0))
    call avR2(582, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5167])

    allocate(vertices(583)%branchR2(0:0))
    call avR2(583, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5167])

    allocate(vertices(584)%branchR2(0:0))
    call avR2(584, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5167])

    allocate(vertices(578)%branchR2(0:0))
    call avR2(578, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5167])

    allocate(vertices(579)%branchR2(0:0))
    call avR2(579, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5167])

    allocate(vertices(576)%branchR2(0:0))
    call avR2(576, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5167])

    allocate(vertices(577)%branchR2(0:0))
    call avR2(577, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5167])

    allocate(vertices(580)%branchR2(0:0))
    call avR2(580, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5167])

    allocate(vertices(581)%branchR2(0:0))
    call avR2(581, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5167])

    allocate(vertices(48)%branchR2(0:0))
    call avR2(48, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5167])

    allocate(vertices(585)%branchR2(0:0))
    call avR2(585, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5167])

    allocate(vertices(586)%branchR2(0:0))
    call avR2(586, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5167])

    allocate(vertices(14)%branchR2(0:0))
    call avR2(14, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_5168])

    allocate(vertices(846)%branchR2(0:0))
    call avR2(846, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5169])

    allocate(vertices(847)%branchR2(0:0))
    call avR2(847, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5169])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5169])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5169])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5169])

    allocate(vertices(838)%branchR2(0:0))
    call avR2(838, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5169])

    allocate(vertices(844)%branchR2(0:0))
    call avR2(844, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5169])

    allocate(vertices(845)%branchR2(0:0))
    call avR2(845, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5169])

    allocate(vertices(842)%branchR2(0:0))
    call avR2(842, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5169])

    allocate(vertices(841)%branchR2(0:0))
    call avR2(841, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5169])

    allocate(vertices(843)%branchR2(0:0))
    call avR2(843, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5169])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5169])

    allocate(vertices(1618)%branchR2(0:1))
    call avR2(1618, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_5170])

    call avR2(1618, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_5171])

    allocate(vertices(1619)%branchR2(0:1))
    call avR2(1619, 0, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_5170])

    call avR2(1619, 1, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_5171])

    allocate(vertices(1620)%branchR2(0:1))
    call avR2(1620, 0, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_5170])

    call avR2(1620, 1, 48, 5, 0, SVVS0, 0, [2, 2], [nGC_5171])

    allocate(vertices(1621)%branchR2(0:1))
    call avR2(1621, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_5170])

    call avR2(1621, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_5171])

    allocate(vertices(1622)%branchR2(0:1))
    call avR2(1622, 0, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_5170])

    call avR2(1622, 1, 52, 5, 0, VSVS0, 0, [2, 2], [nGC_5171])

    allocate(vertices(1623)%branchR2(0:1))
    call avR2(1623, 0, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_5170])

    call avR2(1623, 1, 54, 5, 0, VVSS0, 0, [2, 2], [nGC_5171])

    allocate(vertices(837)%branchR2(0:0))
    call avR2(837, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_5172])

    allocate(vertices(836)%branchR2(0:0))
    call avR2(836, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_5172])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_5172])

    allocate(vertices(834)%branchR2(0:0))
    call avR2(834, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_5172])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_5172])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_5172])

    allocate(vertices(1624)%branchR2(0:1))
    call avR2(1624, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_5173])

    call avR2(1624, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_5174])

    allocate(vertices(1625)%branchR2(0:1))
    call avR2(1625, 0, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_5173])

    call avR2(1625, 1, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_5174])

    allocate(vertices(1626)%branchR2(0:1))
    call avR2(1626, 0, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_5173])

    call avR2(1626, 1, 48, 5, 0, SVVS0, 0, [2, 2], [nGC_5174])

    allocate(vertices(1627)%branchR2(0:1))
    call avR2(1627, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_5173])

    call avR2(1627, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_5174])

    allocate(vertices(1628)%branchR2(0:1))
    call avR2(1628, 0, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_5173])

    call avR2(1628, 1, 52, 5, 0, VSVS0, 0, [2, 2], [nGC_5174])

    allocate(vertices(1629)%branchR2(0:1))
    call avR2(1629, 0, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_5173])

    call avR2(1629, 1, 54, 5, 0, VVSS0, 0, [2, 2], [nGC_5174])

    allocate(vertices(1630)%branchR2(0:1))
    call avR2(1630, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1630, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1631)%branchR2(0:1))
    call avR2(1631, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1631, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1632)%branchR2(0:1))
    call avR2(1632, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1632, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1633)%branchR2(0:1))
    call avR2(1633, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1633, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1634)%branchR2(0:1))
    call avR2(1634, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1634, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1635)%branchR2(0:1))
    call avR2(1635, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1635, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1636)%branchR2(0:1))
    call avR2(1636, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1636, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1637)%branchR2(0:1))
    call avR2(1637, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1637, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1638)%branchR2(0:1))
    call avR2(1638, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1638, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1639)%branchR2(0:1))
    call avR2(1639, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1639, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1640)%branchR2(0:1))
    call avR2(1640, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1640, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(1641)%branchR2(0:1))
    call avR2(1641, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_5175, nGC_5175,        &
    nGC_5175])

    call avR2(1641, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_5176, nGC_5176,        &
    nGC_5176])

    allocate(vertices(234)%branchR2(0:0))
    call avR2(234, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5178, nGC_5177, nGC_5179])

    allocate(vertices(233)%branchR2(0:0))
    call avR2(233, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5178, nGC_5179, nGC_5177])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5179, nGC_5178, nGC_5177])

    allocate(vertices(7)%branchR2(0:0))
    call avR2(7, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5177, nGC_5178, nGC_5179])

    allocate(vertices(236)%branchR2(0:0))
    call avR2(236, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5177, nGC_5179, nGC_5178])

    allocate(vertices(235)%branchR2(0:0))
    call avR2(235, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5179, nGC_5177, nGC_5178])

    allocate(vertices(229)%branchR2(0:0))
    call avR2(229, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5179, nGC_5178, nGC_5177])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5178, nGC_5179, nGC_5177])

    allocate(vertices(231)%branchR2(0:0))
    call avR2(231, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5179, nGC_5177, nGC_5178])

    allocate(vertices(230)%branchR2(0:0))
    call avR2(230, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5177, nGC_5179, nGC_5178])

    allocate(vertices(226)%branchR2(0:0))
    call avR2(226, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5178, nGC_5177, nGC_5179])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5177, nGC_5178, nGC_5179])

    allocate(vertices(198)%branchR2(0:0))
    call avR2(198, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5180, nGC_5180, nGC_5181])

    allocate(vertices(199)%branchR2(0:0))
    call avR2(199, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5180, nGC_5181, nGC_5180])

    allocate(vertices(200)%branchR2(0:0))
    call avR2(200, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5181, nGC_5180, nGC_5180])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5181, nGC_5180, nGC_5180])

    allocate(vertices(202)%branchR2(0:0))
    call avR2(202, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5180, nGC_5181, nGC_5180])

    allocate(vertices(5)%branchR2(0:0))
    call avR2(5, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5180, nGC_5180, nGC_5181])

    allocate(vertices(1642)%branchR2(0:1))
    call avR2(1642, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_5182])

    call avR2(1642, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1643)%branchR2(0:1))
    call avR2(1643, 0, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_5182])

    call avR2(1643, 1, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1644)%branchR2(0:1))
    call avR2(1644, 0, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_5182])

    call avR2(1644, 1, 48, 5, 0, SVVS0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1645)%branchR2(0:1))
    call avR2(1645, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_5182])

    call avR2(1645, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1646)%branchR2(0:1))
    call avR2(1646, 0, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_5182])

    call avR2(1646, 1, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1647)%branchR2(0:1))
    call avR2(1647, 0, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_5182])

    call avR2(1647, 1, 48, 5, 0, SVVS0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1648)%branchR2(0:1))
    call avR2(1648, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_5182])

    call avR2(1648, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1649)%branchR2(0:1))
    call avR2(1649, 0, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_5182])

    call avR2(1649, 1, 52, 5, 0, VSVS0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1650)%branchR2(0:1))
    call avR2(1650, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_5182])

    call avR2(1650, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1651)%branchR2(0:1))
    call avR2(1651, 0, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_5182])

    call avR2(1651, 1, 52, 5, 0, VSVS0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1652)%branchR2(0:1))
    call avR2(1652, 0, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_5182])

    call avR2(1652, 1, 54, 5, 0, VVSS0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1653)%branchR2(0:1))
    call avR2(1653, 0, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_5182])

    call avR2(1653, 1, 54, 5, 0, VVSS0, 0, [2, 2], [nGC_5183])

    allocate(vertices(1654)%branchR2(0:5))
    call avR2(1654, 0, 55, 5, 0, VVVV0, 0, [3, 1], [nGC_5184, nGC_5184,        &
    nGC_5184])

    call avR2(1654, 1, 56, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1654, 2, 57, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1654, 3, 58, 5, 0, VVVV0, 0, [3, 1], [nGC_5186, nGC_5186,        &
    nGC_5186])

    call avR2(1654, 4, 59, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1654, 5, 60, 5, 0, VVVV0, 0, [3, 1], [nGC_5184, nGC_5184,        &
    nGC_5184])

    allocate(vertices(1655)%branchR2(0:5))
    call avR2(1655, 0, 61, 5, 0, VVVV0, 0, [3, 1], [nGC_5184, nGC_5184,        &
    nGC_5184])

    call avR2(1655, 1, 62, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1655, 2, 63, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1655, 3, 64, 5, 0, VVVV0, 0, [3, 1], [nGC_5186, nGC_5186,        &
    nGC_5186])

    call avR2(1655, 4, 65, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1655, 5, 66, 5, 0, VVVV0, 0, [3, 1], [nGC_5184, nGC_5184,        &
    nGC_5184])

    allocate(vertices(1656)%branchR2(0:5))
    call avR2(1656, 0, 67, 5, 0, VVVV0, 0, [3, 1], [nGC_5184, nGC_5184,        &
    nGC_5184])

    call avR2(1656, 1, 68, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1656, 2, 69, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1656, 3, 70, 5, 0, VVVV0, 0, [3, 1], [nGC_5186, nGC_5186,        &
    nGC_5186])

    call avR2(1656, 4, 71, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1656, 5, 72, 5, 0, VVVV0, 0, [3, 1], [nGC_5184, nGC_5184,        &
    nGC_5184])

    allocate(vertices(1657)%branchR2(0:5))
    call avR2(1657, 0, 73, 5, 0, VVVV0, 0, [3, 1], [nGC_5184, nGC_5184,        &
    nGC_5184])

    call avR2(1657, 1, 74, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1657, 2, 75, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1657, 3, 76, 5, 0, VVVV0, 0, [3, 1], [nGC_5186, nGC_5186,        &
    nGC_5186])

    call avR2(1657, 4, 77, 5, 0, VVVV0, 0, [3, 1], [nGC_5185, nGC_5185,        &
    nGC_5185])

    call avR2(1657, 5, 78, 5, 0, VVVV0, 0, [3, 1], [nGC_5184, nGC_5184,        &
    nGC_5184])

    allocate(vertices(1658)%branchR2(0:1))
    call avR2(1658, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_5187])

    call avR2(1658, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_5188])

    allocate(vertices(1659)%branchR2(0:1))
    call avR2(1659, 0, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_5187])

    call avR2(1659, 1, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_5188])

    allocate(vertices(1660)%branchR2(0:1))
    call avR2(1660, 0, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_5187])

    call avR2(1660, 1, 48, 5, 0, SVVS0, 0, [2, 2], [nGC_5188])

    allocate(vertices(1661)%branchR2(0:1))
    call avR2(1661, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_5187])

    call avR2(1661, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_5188])

    allocate(vertices(1662)%branchR2(0:1))
    call avR2(1662, 0, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_5187])

    call avR2(1662, 1, 52, 5, 0, VSVS0, 0, [2, 2], [nGC_5188])

    allocate(vertices(1663)%branchR2(0:1))
    call avR2(1663, 0, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_5187])

    call avR2(1663, 1, 54, 5, 0, VVSS0, 0, [2, 2], [nGC_5188])

    allocate(vertices(1664)%branchR2(0:0))
    call avR2(1664, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_5189, nGC_5189, nGC_5189&
    ])

    allocate(vertices(1665)%branchR2(0:1))
    call avR2(1665, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1665, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(1666)%branchR2(0:1))
    call avR2(1666, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1666, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(1667)%branchR2(0:1))
    call avR2(1667, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1667, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(1668)%branchR2(0:1))
    call avR2(1668, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1668, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(1669)%branchR2(0:1))
    call avR2(1669, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1669, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(1670)%branchR2(0:1))
    call avR2(1670, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1670, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(1671)%branchR2(0:5))
    call avR2(1671, 0, 73, 5, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    call avR2(1671, 1, 74, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1671, 2, 75, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1671, 3, 76, 5, 0, VVVV0, 0, [3, 1], [nGC_5194, nGC_5194,        &
    nGC_5194])

    call avR2(1671, 4, 77, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1671, 5, 78, 5, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    allocate(vertices(1672)%branchR2(0:5))
    call avR2(1672, 0, 67, 5, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    call avR2(1672, 1, 68, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1672, 2, 69, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1672, 3, 70, 5, 0, VVVV0, 0, [3, 1], [nGC_5194, nGC_5194,        &
    nGC_5194])

    call avR2(1672, 4, 71, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1672, 5, 72, 5, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    allocate(vertices(1673)%branchR2(0:5))
    call avR2(1673, 0, 61, 5, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    call avR2(1673, 1, 62, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1673, 2, 63, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1673, 3, 64, 5, 0, VVVV0, 0, [3, 1], [nGC_5194, nGC_5194,        &
    nGC_5194])

    call avR2(1673, 4, 65, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1673, 5, 66, 5, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    allocate(vertices(1674)%branchR2(0:5))
    call avR2(1674, 0, 55, 5, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    call avR2(1674, 1, 56, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1674, 2, 57, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1674, 3, 58, 5, 0, VVVV0, 0, [3, 1], [nGC_5194, nGC_5194,        &
    nGC_5194])

    call avR2(1674, 4, 59, 5, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1674, 5, 60, 5, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    allocate(vertices(1)%branchR2(0:23))
    call avR2(1, 0, 2, 5, 0, VVVV0, 0, [4, 0], [nGC_5195, nGC_5196, nGC_5195])

    call avR2(1, 1, 3, 5, 0, VVVV0, 0, [4, 0], [nGC_5196, nGC_5195, nGC_5195])

    call avR2(1, 2, 4, 5, 0, VVVV0, 0, [4, 0], [nGC_5195, nGC_5196, nGC_5195])

    call avR2(1, 3, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_5196, nGC_5195, nGC_5195])

    call avR2(1, 4, 6, 5, 0, VVVV0, 0, [4, 0], [nGC_5195, nGC_5195, nGC_5196])

    call avR2(1, 5, 7, 5, 0, VVVV0, 0, [4, 0], [nGC_5195, nGC_5195, nGC_5196])

    call avR2(1, 6, 79, 5, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197, nGC_5197])

    call avR2(1, 7, 80, 5, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197, nGC_5197])

    call avR2(1, 8, 81, 5, 0, VVVV0, 0, [4, 0], [nGC_5199, nGC_5198, nGC_5198])

    call avR2(1, 9, 82, 5, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197, nGC_5197])

    call avR2(1, 10, 83, 5, 0, VVVV0, 0, [4, 0], [nGC_5198, nGC_5198, nGC_5199])

    call avR2(1, 11, 84, 5, 0, VVVV0, 0, [4, 0], [nGC_5198, nGC_5199, nGC_5198])

    call avR2(1, 12, 85, 5, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197, nGC_5197])

    call avR2(1, 13, 86, 5, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197, nGC_5197])

    call avR2(1, 14, 87, 5, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197, nGC_5197])

    call avR2(1, 15, 88, 5, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197, nGC_5197])

    call avR2(1, 16, 89, 5, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197, nGC_5197])

    call avR2(1, 17, 90, 5, 0, VVVV0, 0, [4, 0], [nGC_5200, nGC_5200, nGC_5200])

    call avR2(1, 18, 91, 5, 0, VVVV0, 0, [4, 0], [nGC_5200, nGC_5200, nGC_5200])

    call avR2(1, 19, 92, 5, 0, VVVV0, 0, [4, 0], [nGC_5200, nGC_5200, nGC_5200])

    call avR2(1, 20, 93, 5, 0, VVVV0, 0, [4, 0], [nGC_5201, nGC_5201, nGC_5201])

    call avR2(1, 21, 94, 5, 0, VVVV0, 0, [4, 0], [nGC_5200, nGC_5200, nGC_5200])

    call avR2(1, 22, 95, 5, 0, VVVV0, 0, [4, 0], [nGC_5200, nGC_5200, nGC_5200])

    call avR2(1, 23, 96, 5, 0, VVVV0, 0, [4, 0], [nGC_5200, nGC_5200, nGC_5200])

  end subroutine fill_vertices_mdl6
end module vertices_info6
