!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_8261) = coupl(nGC_5432) + coupl(nGC_TS_GC_108_Hl) + coupl(       &
                      nGC_TS_GC_109_Hh)
    coupl(nGC_8262) = coupl(nGC_8255) + coupl(nGC_8261)
    coupl(nGC_8276) = coupl(nGC_5434) + coupl(nGC_TS_GC_83_Hl) + coupl(        &
                      nGC_TS_GC_84_Hh)
    coupl(nGC_8277) = coupl(nGC_8270) + coupl(nGC_8276)
    coupl(nGC_8318) = coupl(nGC_5424) + coupl(nGC_TS_GC_123_Hl) + coupl(       &
                      nGC_TS_GC_124_Hh)
    coupl(nGC_8319) = coupl(nGC_8312) + coupl(nGC_8318)
    coupl(nGC_8333) = coupl(nGC_5426) + coupl(nGC_TS_GC_88_Hl) + coupl(        &
                      nGC_TS_GC_89_Hh)
    coupl(nGC_8334) = coupl(nGC_8327) + coupl(nGC_8333)
    coupl(nGC_8348) = coupl(nGC_5428) + coupl(nGC_TS_GC_113_Hl) + coupl(       &
                      nGC_TS_GC_114_Hh)
    coupl(nGC_8349) = coupl(nGC_8342) + coupl(nGC_8348)
    coupl(nGC_8379) = coupl(nGC_5438) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_8385) = coupl(nGC_5437) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_8398) = coupl(nGC_5439) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_8438) = -coupl(nGC_7039)
    coupl(nGC_8448) = -coupl(nGC_7043)
    coupl(nGC_9090) = -coupl(nGC_7229)
    coupl(nGC_9106) = -coupl(nGC_7233)
    coupl(nGC_9645) = -coupl(nGC_7276)
    coupl(nGC_9660) = -coupl(nGC_7280)
    coupl(nGC_9676) = -coupl(nGC_7284)
    coupl(nGC_10223) = -coupl(nGC_7324)
    coupl(nGC_10239) = -coupl(nGC_7328)
    coupl(nGC_10560) = -coupl(nGC_7374)
    coupl(nGC_10585) = -coupl(nGC_7379)
    coupl(nGC_5283) = coupl(nGC_4623)*dydo_QCD2_QED1
    coupl(nGC_5285) = coupl(nGC_4607)*dydo_QCD2_QED1
    coupl(nGC_5284) = coupl(nGC_4623)*dydo_QED3
    coupl(nGC_5286) = coupl(nGC_4607)*dydo_QED3
    coupl(nGC_5287) = coupl(nGC_4690)*dys_QCD2_QED1
    coupl(nGC_5289) = coupl(nGC_4678)*dys_QCD2_QED1
    coupl(nGC_5288) = coupl(nGC_4690)*dys_QED3
    coupl(nGC_5290) = coupl(nGC_4678)*dys_QED3
    coupl(nGC_5291) = coupl(nGC_4579)*dyb_QCD2_QED1
    coupl(nGC_5293) = coupl(nGC_4573)*dyb_QCD2_QED1
    coupl(nGC_5292) = coupl(nGC_4579)*dyb_QED3
    coupl(nGC_5294) = coupl(nGC_4573)*dyb_QED3
    coupl(nGC_5296) = coupl(nGC_4627)*dydo_QED3 + coupl(nGC_4628)*da_QED2
    coupl(nGC_5302) = coupl(nGC_4632)*dydo_QED3 + coupl(nGC_4633)*da_QED2
    coupl(nGC_5298) = coupl(nGC_4695)*dys_QED3 + coupl(nGC_4696)*da_QED2
    coupl(nGC_5304) = coupl(nGC_4697)*dys_QED3 + coupl(nGC_4698)*da_QED2
    coupl(nGC_5300) = coupl(nGC_4577)*dyb_QED3 + coupl(nGC_4578)*da_QED2
    coupl(nGC_5306) = coupl(nGC_4582)*dyb_QED3 + coupl(nGC_4583)*da_QED2
    coupl(nGC_5322) = coupl(nGC_4725)*dyup_QCD2_QED1
    coupl(nGC_5324) = coupl(nGC_4726)*dyup_QCD2_QED1
    coupl(nGC_5323) = coupl(nGC_4725)*dyup_QED3
    coupl(nGC_5325) = coupl(nGC_4726)*dyup_QED3
    coupl(nGC_5326) = coupl(nGC_4593)*dyc_QCD2_QED1
    coupl(nGC_5328) = coupl(nGC_4598)*dyc_QCD2_QED1
    coupl(nGC_5327) = coupl(nGC_4593)*dyc_QED3
    coupl(nGC_5329) = coupl(nGC_4598)*dyc_QED3
    coupl(nGC_5330) = coupl(nGC_4714)*dyt_QCD2_QED1
    coupl(nGC_5332) = coupl(nGC_4715)*dyt_QCD2_QED1
    coupl(nGC_5331) = coupl(nGC_4714)*dyt_QED3
    coupl(nGC_5333) = coupl(nGC_4715)*dyt_QED3
    coupl(nGC_5335) = coupl(nGC_4742)*dyup_QED3 + coupl(nGC_4743)*da_QED2
    coupl(nGC_5341) = coupl(nGC_4751)*dyup_QED3 + coupl(nGC_4752)*da_QED2
    coupl(nGC_5337) = coupl(nGC_4599)*dyc_QED3 + coupl(nGC_4600)*da_QED2
    coupl(nGC_5343) = coupl(nGC_4608)*dyc_QED3 + coupl(nGC_4609)*da_QED2
    coupl(nGC_5339) = coupl(nGC_275)*dyt_QED3 + coupl(nGC_277)*da_QED2
    coupl(nGC_5345) = coupl(nGC_281)*dyt_QED3 + coupl(nGC_283)*da_QED2
    coupl(nGC_7858) = coupl(nGC_5283) + coupl(nGC_92)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_92)*dZdR_QCD2/2d0
    coupl(nGC_7859) = coupl(nGC_5285) + coupl(nGC_91)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_91)*dZdR_QCD2/2d0
    coupl(nGC_7860) = coupl(nGC_5284) + coupl(nGC_92)*dZdL_QED2/2d0 + coupl(   &
                      nGC_92)*dZdR_QED2/2d0
    coupl(nGC_7861) = coupl(nGC_5286) + coupl(nGC_91)*dZdL_QED2/2d0 + coupl(   &
                      nGC_91)*dZdR_QED2/2d0
    coupl(nGC_7870) = coupl(nGC_107)*dZsL_QCD2/2d0 + coupl(nGC_107)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5287)
    coupl(nGC_7871) = coupl(nGC_106)*dZsL_QCD2/2d0 + coupl(nGC_106)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5289)
    coupl(nGC_7872) = coupl(nGC_107)*dZsL_QED2/2d0 + coupl(nGC_107)*dZsR_QED2/ &
                      2d0 + coupl(nGC_5288)
    coupl(nGC_7873) = coupl(nGC_106)*dZsL_QED2/2d0 + coupl(nGC_106)*dZsR_QED2/ &
                      2d0 + coupl(nGC_5290)
    coupl(nGC_7882) = coupl(nGC_5291) + coupl(nGC_82)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_82)*dZbR_QCD2/2d0
    coupl(nGC_7883) = coupl(nGC_5293) + coupl(nGC_81)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_81)*dZbR_QCD2/2d0
    coupl(nGC_7884) = coupl(nGC_5292) + coupl(nGC_82)*dZbL_QED2/2d0 + coupl(   &
                      nGC_82)*dZbR_QED2/2d0
    coupl(nGC_7885) = coupl(nGC_5294) + coupl(nGC_81)*dZbL_QED2/2d0 + coupl(   &
                      nGC_81)*dZbR_QED2/2d0
    coupl(nGC_7894) = coupl(nGC_5296) + coupl(nGC_93)*dZHl_QED2/2d0 + coupl(   &
                      nGC_94)*dZHhHl_QED2/2d0
    coupl(nGC_7895) = coupl(nGC_7889) + coupl(nGC_7894)
    coupl(nGC_7906) = coupl(nGC_5302) + coupl(nGC_93)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_94)*dZHh_QED2/2d0
    coupl(nGC_7907) = coupl(nGC_7904) + coupl(nGC_7906)
    coupl(nGC_7917) = coupl(nGC_108)*dZHl_QED2/2d0 + coupl(nGC_109)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5298)
    coupl(nGC_7918) = coupl(nGC_7911) + coupl(nGC_7917)
    coupl(nGC_7928) = coupl(nGC_108)*dZHlHh_QED2/2d0 + coupl(nGC_109)*dZHh_QED2&
                      /2d0 + coupl(nGC_5304)
    coupl(nGC_7929) = coupl(nGC_7926) + coupl(nGC_7928)
    coupl(nGC_7939) = coupl(nGC_5300) + coupl(nGC_83)*dZHl_QED2/2d0 + coupl(   &
                      nGC_84)*dZHhHl_QED2/2d0
    coupl(nGC_7940) = coupl(nGC_7933) + coupl(nGC_7939)
    coupl(nGC_7950) = coupl(nGC_5306) + coupl(nGC_83)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_84)*dZHh_QED2/2d0
    coupl(nGC_7951) = coupl(nGC_7948) + coupl(nGC_7950)
    coupl(nGC_8053) = coupl(nGC_121)*dZuL_QCD2/2d0 + coupl(nGC_121)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5322)
    coupl(nGC_8054) = coupl(nGC_122)*dZuL_QCD2/2d0 + coupl(nGC_122)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5324)
    coupl(nGC_8055) = coupl(nGC_121)*dZuL_QED2/2d0 + coupl(nGC_121)*dZuR_QED2/ &
                      2d0 + coupl(nGC_5323)
    coupl(nGC_8056) = coupl(nGC_122)*dZuL_QED2/2d0 + coupl(nGC_122)*dZuR_QED2/ &
                      2d0 + coupl(nGC_5325)
    coupl(nGC_8065) = coupl(nGC_5326) + coupl(nGC_86)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZcR_QCD2/2d0
    coupl(nGC_8066) = coupl(nGC_5328) + coupl(nGC_87)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_87)*dZcR_QCD2/2d0
    coupl(nGC_8067) = coupl(nGC_5327) + coupl(nGC_86)*dZcL_QED2/2d0 + coupl(   &
                      nGC_86)*dZcR_QED2/2d0
    coupl(nGC_8068) = coupl(nGC_5329) + coupl(nGC_87)*dZcL_QED2/2d0 + coupl(   &
                      nGC_87)*dZcR_QED2/2d0
    coupl(nGC_8077) = coupl(nGC_111)*dZtL_QCD2/2d0 + coupl(nGC_111)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_5330)
    coupl(nGC_8078) = coupl(nGC_112)*dZtL_QCD2/2d0 + coupl(nGC_112)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_5332)
    coupl(nGC_8079) = coupl(nGC_111)*dZtL_QED2/2d0 + coupl(nGC_111)*dZtR_QED2/ &
                      2d0 + coupl(nGC_5331)
    coupl(nGC_8080) = coupl(nGC_112)*dZtL_QED2/2d0 + coupl(nGC_112)*dZtR_QED2/ &
                      2d0 + coupl(nGC_5333)
    coupl(nGC_8090) = coupl(nGC_123)*dZHl_QED2/2d0 + coupl(nGC_124)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5335)
    coupl(nGC_8091) = coupl(nGC_8084) + coupl(nGC_8090)
    coupl(nGC_8101) = coupl(nGC_123)*dZHlHh_QED2/2d0 + coupl(nGC_124)*dZHh_QED2&
                      /2d0 + coupl(nGC_5341)
    coupl(nGC_8102) = coupl(nGC_8099) + coupl(nGC_8101)
    coupl(nGC_8111) = coupl(nGC_5337) + coupl(nGC_88)*dZHl_QED2/2d0 + coupl(   &
                      nGC_89)*dZHhHl_QED2/2d0
    coupl(nGC_8112) = coupl(nGC_8106) + coupl(nGC_8111)
    coupl(nGC_8123) = coupl(nGC_5343) + coupl(nGC_88)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_89)*dZHh_QED2/2d0
    coupl(nGC_8124) = coupl(nGC_8121) + coupl(nGC_8123)
    coupl(nGC_8134) = coupl(nGC_113)*dZHl_QED2/2d0 + coupl(nGC_114)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5339)
    coupl(nGC_8135) = coupl(nGC_8128) + coupl(nGC_8134)
    coupl(nGC_8145) = coupl(nGC_113)*dZHlHh_QED2/2d0 + coupl(nGC_114)*dZHh_QED2&
                      /2d0 + coupl(nGC_5345)
    coupl(nGC_8146) = coupl(nGC_8143) + coupl(nGC_8145)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
