!******************************************************************************!
!                                                                              !
!    modelintegrals.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   modelintegrals.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module modelintegrals
  use constants_mdl, only: dp
  implicit none
  complex(dp) :: Ten0, Ten1, Ten2, Ten3, Ten4, Ten5, Ten6, Ten7, Ten8, Ten9,   &
                 Ten10, Ten11, Ten12, Ten13, Ten14, Ten15, Ten16, Ten17, Ten18 &
                 , Ten19, Ten20, Ten21, Ten22, Ten23, Ten24, Ten25, Ten26,     &
                 Ten27, Ten28, Ten29, Ten30, Ten31, Ten32, Ten33, Ten34, Ten35 &
                 , Ten36, Ten37, Ten38, Ten39, Ten40, Ten41, Ten42, Ten43,     &
                 Ten44, Ten45, Ten46, Ten47, Ten48, Ten49, Ten50, Ten51, Ten52 &
                 , Ten53, Ten54, Ten55, Ten56, Ten57, Ten58, Ten59, Ten60,     &
                 Ten61, Ten62, Ten63, Ten64, Ten65, Ten66, Ten67, Ten68, Ten69 &
                 , Ten70, Ten71, Ten72, Ten73, Ten74, Ten75, Ten76, Ten77,     &
                 Ten78, Ten79, Ten80, Ten81, Ten82, Ten83, Ten84, Ten85, Ten86 &
                 , Ten87, Ten88, Ten89, Ten90, Ten91, Ten92, Ten93, Ten94,     &
                 Ten95, Ten96, Ten97, Ten98, Ten99, Ten100, Ten101, Ten102,    &
                 Ten103, Ten104, Ten105, Ten106, Ten107, Ten108, Ten109, Ten110&
                 , Ten111, Ten112, Ten113, Ten114, Ten115, Ten116, Ten117,     &
                 Ten118, Ten119, Ten120, Ten121, Ten122, Ten123, Ten124, Ten125&
                 , Ten126, Ten127, Ten128, Ten129, Ten130, Ten131, Ten132,     &
                 Ten133, Ten134, Ten135, Ten136, Ten137, Ten138, Ten139, Ten140&
                 , Ten141, Ten142, Ten143, Ten144, Ten145, Ten146, Ten147,     &
                 Ten148, Ten149, Ten150, Ten151, Ten152, Ten153, Ten154, Ten155&
                 , Ten156, Ten157, Ten158, Ten159, Ten160, Ten161, Ten162,     &
                 Ten163, Ten164, Ten165, Ten166, Ten167, Ten168, Ten169, Ten170&
                 , Ten171, Ten172, Ten173, Ten174, Ten175, Ten176, Ten177,     &
                 Ten178, Ten179, Ten180, Ten181, Ten182, Ten183, Ten184, Ten185&
                 , Ten186, Ten187, Ten188, Ten189, Ten190, Ten191, Ten192,     &
                 Ten193, Ten194, Ten195, Ten196, Ten197, Ten198, Ten199, Ten200&
                 , Ten201, Ten202, Ten203, Ten204, Ten205, Ten206, Ten207,     &
                 Ten208, Ten209, Ten210, Ten211, Ten212, Ten213, Ten214, Ten215&
                 , Ten216, Ten217, Ten218, Ten219, Ten220, Ten221, Ten222,     &
                 Ten223, Ten224, Ten225, Ten226, Ten227, Ten228, Ten229, Ten230&
                 , Ten231, Ten232, Ten233, Ten234, Ten235, Ten236, Ten237,     &
                 Ten238, Ten239, Ten240, Ten241, Ten242, Ten243, Ten244, Ten245&
                 , Ten246, Ten247, Ten248, Ten249, Ten250, Ten251, Ten252,     &
                 Ten253, Ten254, Ten255, Ten256, Ten257, Ten258, Ten259, Ten260&
                 , Ten261, Ten262, Ten263, Ten264, Ten265, Ten266, Ten267,     &
                 Ten268, Ten269, Ten270, Ten271, Ten272, Ten273, Ten274, Ten275&
                 , Ten276, Ten277, Ten278, Ten279, Ten280, Ten281, Ten282,     &
                 Ten283, Ten284, Ten285, Ten286, Ten287, Ten288, Ten289, Ten290&
                 , Ten291, Ten292, Ten293, Ten294, Ten295, Ten296, Ten297,     &
                 Ten298, Ten299, Ten300, Ten301, Ten302, Ten303, Ten304, Ten305&
                 , Ten306, Ten307, Ten308, Ten309, Ten310, Ten311, Ten312,     &
                 Ten313, Ten314, Ten315, Ten316, Ten317, Ten318, Ten319, Ten320&
                 , Ten321, Ten322, Ten323, Ten324, Ten325, Ten326, Ten327,     &
                 Ten328, Ten329, Ten330, Ten331, Ten332, Ten333, Ten334, Ten335&
                 , Ten336, Ten337, Ten338, Ten339, Ten340, Ten341, Ten342,     &
                 Ten343, Ten344, Ten345, Ten346, Ten347, Ten348, Ten349, Ten350&
                 , Ten351, Ten352, Ten353, Ten354, Ten355, Ten356, Ten357,     &
                 Ten358, Ten359, Ten360, Ten361, Ten362, Ten363, Ten364, Ten365&
                 , Ten366, Ten367, Ten368, Ten369, Ten370, Ten371, Ten372,     &
                 Ten373, Ten374, Ten375, Ten376, Ten377, Ten378, Ten379, Ten380&
                 , Ten381, Ten382, Ten383, Ten384, Ten385, Ten386, Ten387,     &
                 Ten388, Ten389, Ten390, Ten391, Ten392, Ten393, Ten394, Ten395&
                 , Ten396, Ten397, Ten398, Ten399, Ten400, Ten401, Ten402,     &
                 Ten403, Ten404, Ten405, Ten406, Ten407, Ten408, Ten409, Ten410&
                 , Ten411, Ten412, Ten413, Ten414, Ten415, Ten416, Ten417,     &
                 Ten418, Ten419, Ten420, Ten421, Ten422, Ten423, Ten424, Ten425&
                 , Ten426, Ten427, Ten428, Ten429, Ten430, Ten431, Ten432,     &
                 Ten433, Ten434, Ten435, Ten436, Ten437, Ten438, Ten439, Ten440&
                 , Ten441, Ten442, Ten443, Ten444, Ten445, Ten446, Ten447,     &
                 Ten448, Ten449, Ten450, Ten451, Ten452, Ten453, Ten454, Ten455&
                 , Ten456, Ten457, Ten458, Ten459, Ten460, Ten461, Ten462,     &
                 Ten463, Ten464, Ten465, Ten466, Ten467, Ten468, Ten469, Ten470&
                 , Ten471, Ten472, Ten473, Ten474, Ten475, Ten476, Ten477,     &
                 Ten478, Ten479, Ten480, Ten481, Ten482, Ten483, Ten484, Ten485&
                 , Ten486, Ten487, Ten488, Ten489, Ten490, Ten491, Ten492,     &
                 Ten493, Ten494, Ten495, Ten496, Ten497, Ten498, Ten499, Ten500&
                 , Ten501, Ten502, Ten503, Ten504, Ten505, Ten506, Ten507,     &
                 Ten508, Ten509, Ten510, Ten511, Ten512, Ten513, Ten514, Ten515&
                 , Ten516, Ten517, Ten518, Ten519, Ten520, Ten521, Ten522,     &
                 Ten523, Ten524, Ten525, Ten526, Ten527, Ten528, Ten529, Ten530&
                 , Ten531, Ten532, Ten533, Ten534, Ten535, Ten536, Ten537,     &
                 Ten538, Ten539, Ten540, Ten541, Ten542, Ten543, Ten544, Ten545&
                 , Ten546, Ten547, Ten548, Ten549, Ten550, Ten551, Ten552,     &
                 Ten553, Ten554, Ten555, Ten556, Ten557, Ten558, Ten559, Ten560&
                 , Ten561, Ten562, Ten563, Ten564, Ten565, Ten566, Ten567,     &
                 Ten568, Ten569, Ten570, Ten571, Ten572, Ten573, Ten574, Ten575&
                 , Ten576, Ten577, Ten578, Ten579, Ten580, Ten581, Ten582,     &
                 Ten583, Ten584, Ten585, Ten586, Ten587, Ten588, Ten589, Ten590&
                 , Ten591, Ten592, Ten593, Ten594, Ten595, Ten596, Ten597,     &
                 Ten598, Ten599, Ten600, Ten601, Ten602, Ten603, Ten604, Ten605&
                 , Ten606, Ten607, Ten608, Ten609, Ten610, Ten611, Ten612,     &
                 Ten613, Ten614, Ten615, Ten616, Ten617, Ten618, Ten619, Ten620&
                 , Ten621, Ten622, Ten623, Ten624, Ten625, Ten626, Ten627,     &
                 Ten628, Ten629, Ten630, Ten631, Ten632, Ten633, Ten634, Ten635&
                 , Ten636, Ten637, Ten638, Ten639, Ten640, Ten641, Ten642,     &
                 Ten643, Ten644, Ten645, Ten646, Ten647, Ten648, Ten649, Ten650&
                 , Ten651, Ten652, Ten653, Ten654, Ten655, Ten656, Ten657,     &
                 Ten658, Ten659, Ten660, Ten661, Ten662, Ten663, Ten664, Ten665&
                 , Ten666, Ten667
  contains
  subroutine set_modelintegrals(reset_collier)
    use input_mdl, only: init_si
    use scalar_functions
    logical, intent(in) :: reset_collier

    if (init_si) call init_scalar_functions(reset_collier)
!   Precomputation of scalar integrals
    Ten0 = A0(cMHL2_reg)
    Ten1 = A0(cMZ2_reg)
    Ten2 = A0(cMHH2_reg)
    Ten3 = A0(cMW2_reg)
    Ten4 = A0(cME2_reg)
    Ten5 = A0(cMM2_reg)
    Ten6 = A0(cMTA2_reg)
    Ten7 = A0(cMU2_reg)
    Ten8 = A0(cMC2_reg)
    Ten9 = A0(cMT2_reg)
    Ten10 = A0(cMD2_reg)
    Ten11 = A0(cMS2_reg)
    Ten12 = A0(cMB2_reg)
    Ten13 = B0(rMHL2, cMZ2_reg, cMZ2_reg)
    Ten14 = B0(rMHL2, cMW2_reg, cMW2_reg)
    Ten15 = B0(rMHL2, cMHL2_reg, cMHL2_reg)
    Ten16 = B0(rMHL2, cMHH2_reg, cMHL2_reg)
    Ten17 = B0(rMHL2, cMHH2_reg, cMHH2_reg)
    Ten18 = B0(rMHL2, cME2_reg, cME2_reg)
    Ten19 = B0(rMHL2, cMM2_reg, cMM2_reg)
    Ten20 = B0(rMHL2, cMTA2_reg, cMTA2_reg)
    Ten21 = B0(rMHL2, cMU2_reg, cMU2_reg)
    Ten22 = B0(rMHL2, cMC2_reg, cMC2_reg)
    Ten23 = B0(rMHL2, cMT2_reg, cMT2_reg)
    Ten24 = B0(rMHL2, cMD2_reg, cMD2_reg)
    Ten25 = B0(rMHL2, cMS2_reg, cMS2_reg)
    Ten26 = B0(rMHL2, cMB2_reg, cMB2_reg)
    Ten27 = B1(rMHL2, cMZ2_reg, cMZ2_reg)
    Ten28 = B00(rMHL2, cMZ2_reg, cMZ2_reg)
    Ten29 = B11(rMHL2, cMZ2_reg, cMZ2_reg)
    Ten30 = B1(rMHL2, cMW2_reg, cMW2_reg)
    Ten31 = B00(rMHL2, cMW2_reg, cMW2_reg)
    Ten32 = B11(rMHL2, cMW2_reg, cMW2_reg)
    Ten33 = B1(rMHL2, cME2_reg, cME2_reg)
    Ten34 = B00(rMHL2, cME2_reg, cME2_reg)
    Ten35 = B11(rMHL2, cME2_reg, cME2_reg)
    Ten36 = B1(rMHL2, cMM2_reg, cMM2_reg)
    Ten37 = B00(rMHL2, cMM2_reg, cMM2_reg)
    Ten38 = B11(rMHL2, cMM2_reg, cMM2_reg)
    Ten39 = B1(rMHL2, cMTA2_reg, cMTA2_reg)
    Ten40 = B00(rMHL2, cMTA2_reg, cMTA2_reg)
    Ten41 = B11(rMHL2, cMTA2_reg, cMTA2_reg)
    Ten42 = B1(rMHL2, cMU2_reg, cMU2_reg)
    Ten43 = B00(rMHL2, cMU2_reg, cMU2_reg)
    Ten44 = B11(rMHL2, cMU2_reg, cMU2_reg)
    Ten45 = B1(rMHL2, cMC2_reg, cMC2_reg)
    Ten46 = B00(rMHL2, cMC2_reg, cMC2_reg)
    Ten47 = B11(rMHL2, cMC2_reg, cMC2_reg)
    Ten48 = B1(rMHL2, cMT2_reg, cMT2_reg)
    Ten49 = B00(rMHL2, cMT2_reg, cMT2_reg)
    Ten50 = B11(rMHL2, cMT2_reg, cMT2_reg)
    Ten51 = B1(rMHL2, cMD2_reg, cMD2_reg)
    Ten52 = B00(rMHL2, cMD2_reg, cMD2_reg)
    Ten53 = B11(rMHL2, cMD2_reg, cMD2_reg)
    Ten54 = B1(rMHL2, cMS2_reg, cMS2_reg)
    Ten55 = B00(rMHL2, cMS2_reg, cMS2_reg)
    Ten56 = B11(rMHL2, cMS2_reg, cMS2_reg)
    Ten57 = B1(rMHL2, cMB2_reg, cMB2_reg)
    Ten58 = B00(rMHL2, cMB2_reg, cMB2_reg)
    Ten59 = B11(rMHL2, cMB2_reg, cMB2_reg)
    Ten60 = DB0(rMHL2, cMZ2_reg, cMZ2_reg)
    Ten61 = DB1(rMHL2, cMZ2_reg, cMZ2_reg)
    Ten62 = DB00(rMHL2, cMZ2_reg, cMZ2_reg)
    Ten63 = DB11(rMHL2, cMZ2_reg, cMZ2_reg)
    Ten64 = DB0(rMHL2, cMW2_reg, cMW2_reg)
    Ten65 = DB1(rMHL2, cMW2_reg, cMW2_reg)
    Ten66 = DB00(rMHL2, cMW2_reg, cMW2_reg)
    Ten67 = DB11(rMHL2, cMW2_reg, cMW2_reg)
    Ten68 = DB0(rMHL2, cME2_reg, cME2_reg)
    Ten69 = DB0(rMHL2, cMM2_reg, cMM2_reg)
    Ten70 = DB0(rMHL2, cMTA2_reg, cMTA2_reg)
    Ten71 = DB0(rMHL2, cMU2_reg, cMU2_reg)
    Ten72 = DB0(rMHL2, cMC2_reg, cMC2_reg)
    Ten73 = DB0(rMHL2, cMT2_reg, cMT2_reg)
    Ten74 = DB0(rMHL2, cMD2_reg, cMD2_reg)
    Ten75 = DB0(rMHL2, cMS2_reg, cMS2_reg)
    Ten76 = DB0(rMHL2, cMB2_reg, cMB2_reg)
    Ten77 = DB0(rMHL2, cMHL2_reg, cMHL2_reg)
    Ten78 = DB0(rMHL2, cMHH2_reg, cMHL2_reg)
    Ten79 = DB0(rMHL2, cMHH2_reg, cMHH2_reg)
    Ten80 = DB1(rMHL2, cME2_reg, cME2_reg)
    Ten81 = DB1(rMHL2, cMM2_reg, cMM2_reg)
    Ten82 = DB1(rMHL2, cMTA2_reg, cMTA2_reg)
    Ten83 = DB1(rMHL2, cMU2_reg, cMU2_reg)
    Ten84 = DB1(rMHL2, cMC2_reg, cMC2_reg)
    Ten85 = DB1(rMHL2, cMT2_reg, cMT2_reg)
    Ten86 = DB1(rMHL2, cMD2_reg, cMD2_reg)
    Ten87 = DB1(rMHL2, cMS2_reg, cMS2_reg)
    Ten88 = DB1(rMHL2, cMB2_reg, cMB2_reg)
    Ten89 = DB00(rMHL2, cME2_reg, cME2_reg)
    Ten90 = DB00(rMHL2, cMM2_reg, cMM2_reg)
    Ten91 = DB00(rMHL2, cMTA2_reg, cMTA2_reg)
    Ten92 = DB00(rMHL2, cMU2_reg, cMU2_reg)
    Ten93 = DB00(rMHL2, cMC2_reg, cMC2_reg)
    Ten94 = DB00(rMHL2, cMT2_reg, cMT2_reg)
    Ten95 = DB00(rMHL2, cMD2_reg, cMD2_reg)
    Ten96 = DB00(rMHL2, cMS2_reg, cMS2_reg)
    Ten97 = DB00(rMHL2, cMB2_reg, cMB2_reg)
    Ten98 = DB11(rMHL2, cME2_reg, cME2_reg)
    Ten99 = DB11(rMHL2, cMM2_reg, cMM2_reg)
    Ten100 = DB11(rMHL2, cMTA2_reg, cMTA2_reg)
    Ten101 = DB11(rMHL2, cMU2_reg, cMU2_reg)
    Ten102 = DB11(rMHL2, cMC2_reg, cMC2_reg)
    Ten103 = DB11(rMHL2, cMT2_reg, cMT2_reg)
    Ten104 = DB11(rMHL2, cMD2_reg, cMD2_reg)
    Ten105 = DB11(rMHL2, cMS2_reg, cMS2_reg)
    Ten106 = DB11(rMHL2, cMB2_reg, cMB2_reg)
    Ten107 = B0(rMHH2, cMZ2_reg, cMZ2_reg)
    Ten108 = B0(rMHH2, cMW2_reg, cMW2_reg)
    Ten109 = B0(rMHH2, cMHL2_reg, cMHL2_reg)
    Ten110 = B0(rMHH2, cMHH2_reg, cMHL2_reg)
    Ten111 = B0(rMHH2, cMHH2_reg, cMHH2_reg)
    Ten112 = B0(rMHH2, cME2_reg, cME2_reg)
    Ten113 = B0(rMHH2, cMM2_reg, cMM2_reg)
    Ten114 = B0(rMHH2, cMTA2_reg, cMTA2_reg)
    Ten115 = B0(rMHH2, cMU2_reg, cMU2_reg)
    Ten116 = B0(rMHH2, cMC2_reg, cMC2_reg)
    Ten117 = B0(rMHH2, cMT2_reg, cMT2_reg)
    Ten118 = B0(rMHH2, cMD2_reg, cMD2_reg)
    Ten119 = B0(rMHH2, cMS2_reg, cMS2_reg)
    Ten120 = B0(rMHH2, cMB2_reg, cMB2_reg)
    Ten121 = B1(rMHH2, cMZ2_reg, cMZ2_reg)
    Ten122 = B00(rMHH2, cMZ2_reg, cMZ2_reg)
    Ten123 = B11(rMHH2, cMZ2_reg, cMZ2_reg)
    Ten124 = B1(rMHH2, cMW2_reg, cMW2_reg)
    Ten125 = B00(rMHH2, cMW2_reg, cMW2_reg)
    Ten126 = B11(rMHH2, cMW2_reg, cMW2_reg)
    Ten127 = B1(rMHH2, cME2_reg, cME2_reg)
    Ten128 = B00(rMHH2, cME2_reg, cME2_reg)
    Ten129 = B11(rMHH2, cME2_reg, cME2_reg)
    Ten130 = B1(rMHH2, cMM2_reg, cMM2_reg)
    Ten131 = B00(rMHH2, cMM2_reg, cMM2_reg)
    Ten132 = B11(rMHH2, cMM2_reg, cMM2_reg)
    Ten133 = B1(rMHH2, cMTA2_reg, cMTA2_reg)
    Ten134 = B00(rMHH2, cMTA2_reg, cMTA2_reg)
    Ten135 = B11(rMHH2, cMTA2_reg, cMTA2_reg)
    Ten136 = B1(rMHH2, cMU2_reg, cMU2_reg)
    Ten137 = B00(rMHH2, cMU2_reg, cMU2_reg)
    Ten138 = B11(rMHH2, cMU2_reg, cMU2_reg)
    Ten139 = B1(rMHH2, cMC2_reg, cMC2_reg)
    Ten140 = B00(rMHH2, cMC2_reg, cMC2_reg)
    Ten141 = B11(rMHH2, cMC2_reg, cMC2_reg)
    Ten142 = B1(rMHH2, cMT2_reg, cMT2_reg)
    Ten143 = B00(rMHH2, cMT2_reg, cMT2_reg)
    Ten144 = B11(rMHH2, cMT2_reg, cMT2_reg)
    Ten145 = B1(rMHH2, cMD2_reg, cMD2_reg)
    Ten146 = B00(rMHH2, cMD2_reg, cMD2_reg)
    Ten147 = B11(rMHH2, cMD2_reg, cMD2_reg)
    Ten148 = B1(rMHH2, cMS2_reg, cMS2_reg)
    Ten149 = B00(rMHH2, cMS2_reg, cMS2_reg)
    Ten150 = B11(rMHH2, cMS2_reg, cMS2_reg)
    Ten151 = B1(rMHH2, cMB2_reg, cMB2_reg)
    Ten152 = B00(rMHH2, cMB2_reg, cMB2_reg)
    Ten153 = B11(rMHH2, cMB2_reg, cMB2_reg)
    Ten154 = DB0(rMHH2, cMZ2_reg, cMZ2_reg)
    Ten155 = DB1(rMHH2, cMZ2_reg, cMZ2_reg)
    Ten156 = DB00(rMHH2, cMZ2_reg, cMZ2_reg)
    Ten157 = DB11(rMHH2, cMZ2_reg, cMZ2_reg)
    Ten158 = DB0(rMHH2, cMW2_reg, cMW2_reg)
    Ten159 = DB1(rMHH2, cMW2_reg, cMW2_reg)
    Ten160 = DB00(rMHH2, cMW2_reg, cMW2_reg)
    Ten161 = DB11(rMHH2, cMW2_reg, cMW2_reg)
    Ten162 = DB0(rMHH2, cME2_reg, cME2_reg)
    Ten163 = DB0(rMHH2, cMM2_reg, cMM2_reg)
    Ten164 = DB0(rMHH2, cMTA2_reg, cMTA2_reg)
    Ten165 = DB0(rMHH2, cMU2_reg, cMU2_reg)
    Ten166 = DB0(rMHH2, cMC2_reg, cMC2_reg)
    Ten167 = DB0(rMHH2, cMT2_reg, cMT2_reg)
    Ten168 = DB0(rMHH2, cMD2_reg, cMD2_reg)
    Ten169 = DB0(rMHH2, cMS2_reg, cMS2_reg)
    Ten170 = DB0(rMHH2, cMB2_reg, cMB2_reg)
    Ten171 = DB0(rMHH2, cMHL2_reg, cMHL2_reg)
    Ten172 = DB0(rMHH2, cMHH2_reg, cMHL2_reg)
    Ten173 = DB0(rMHH2, cMHH2_reg, cMHH2_reg)
    Ten174 = DB1(rMHH2, cME2_reg, cME2_reg)
    Ten175 = DB1(rMHH2, cMM2_reg, cMM2_reg)
    Ten176 = DB1(rMHH2, cMTA2_reg, cMTA2_reg)
    Ten177 = DB1(rMHH2, cMU2_reg, cMU2_reg)
    Ten178 = DB1(rMHH2, cMC2_reg, cMC2_reg)
    Ten179 = DB1(rMHH2, cMT2_reg, cMT2_reg)
    Ten180 = DB1(rMHH2, cMD2_reg, cMD2_reg)
    Ten181 = DB1(rMHH2, cMS2_reg, cMS2_reg)
    Ten182 = DB1(rMHH2, cMB2_reg, cMB2_reg)
    Ten183 = DB00(rMHH2, cME2_reg, cME2_reg)
    Ten184 = DB00(rMHH2, cMM2_reg, cMM2_reg)
    Ten185 = DB00(rMHH2, cMTA2_reg, cMTA2_reg)
    Ten186 = DB00(rMHH2, cMU2_reg, cMU2_reg)
    Ten187 = DB00(rMHH2, cMC2_reg, cMC2_reg)
    Ten188 = DB00(rMHH2, cMT2_reg, cMT2_reg)
    Ten189 = DB00(rMHH2, cMD2_reg, cMD2_reg)
    Ten190 = DB00(rMHH2, cMS2_reg, cMS2_reg)
    Ten191 = DB00(rMHH2, cMB2_reg, cMB2_reg)
    Ten192 = DB11(rMHH2, cME2_reg, cME2_reg)
    Ten193 = DB11(rMHH2, cMM2_reg, cMM2_reg)
    Ten194 = DB11(rMHH2, cMTA2_reg, cMTA2_reg)
    Ten195 = DB11(rMHH2, cMU2_reg, cMU2_reg)
    Ten196 = DB11(rMHH2, cMC2_reg, cMC2_reg)
    Ten197 = DB11(rMHH2, cMT2_reg, cMT2_reg)
    Ten198 = DB11(rMHH2, cMD2_reg, cMD2_reg)
    Ten199 = DB11(rMHH2, cMS2_reg, cMS2_reg)
    Ten200 = DB11(rMHH2, cMB2_reg, cMB2_reg)
    Ten201 = B0(cnul, cnul, cnul)
    Ten202 = B1(cnul, cMU2_reg, cMU2_reg)
    Ten203 = B1(cnul, cMC2_reg, cMC2_reg)
    Ten204 = B1(cnul, cMT2_reg, cMT2_reg)
    Ten205 = B1(cnul, cMD2_reg, cMD2_reg)
    Ten206 = B1(cnul, cMS2_reg, cMS2_reg)
    Ten207 = B1(cnul, cMB2_reg, cMB2_reg)
    Ten208 = B11(cnul, cMU2_reg, cMU2_reg)
    Ten209 = B11(cnul, cMC2_reg, cMC2_reg)
    Ten210 = B11(cnul, cMT2_reg, cMT2_reg)
    Ten211 = B11(cnul, cMD2_reg, cMD2_reg)
    Ten212 = B11(cnul, cMS2_reg, cMS2_reg)
    Ten213 = B11(cnul, cMB2_reg, cMB2_reg)
    Ten214 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten215 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten216 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten217 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten218 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten219 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten220 = B00(cnul, cMU2_reg, cMU2_reg)
    Ten221 = B00(cnul, cMC2_reg, cMC2_reg)
    Ten222 = B00(cnul, cMT2_reg, cMT2_reg)
    Ten223 = B00(cnul, cMD2_reg, cMD2_reg)
    Ten224 = B00(cnul, cMS2_reg, cMS2_reg)
    Ten225 = B00(cnul, cMB2_reg, cMB2_reg)
    Ten226 = DB0(cnul, cMU2_reg, cMU2_reg)
    Ten227 = DB0(cnul, cMC2_reg, cMC2_reg)
    Ten228 = DB0(cnul, cMT2_reg, cMT2_reg)
    Ten229 = DB0(cnul, cMD2_reg, cMD2_reg)
    Ten230 = DB0(cnul, cMS2_reg, cMS2_reg)
    Ten231 = DB0(cnul, cMB2_reg, cMB2_reg)
    Ten232 = DB00(cnul, cMU2_reg, cMU2_reg)
    Ten233 = DB00(cnul, cMC2_reg, cMC2_reg)
    Ten234 = DB00(cnul, cMT2_reg, cMT2_reg)
    Ten235 = DB00(cnul, cMD2_reg, cMD2_reg)
    Ten236 = DB00(cnul, cMS2_reg, cMS2_reg)
    Ten237 = DB00(cnul, cMB2_reg, cMB2_reg)
    Ten238 = HT(cMU2_reg, cMU2_reg)
    Ten239 = HT(cMC2_reg, cMC2_reg)
    Ten240 = HT(cMD2_reg, cMD2_reg)
    Ten241 = HT(cMS2_reg, cMS2_reg)
    Ten242 = HT(cMB2_reg, cMB2_reg)
    Ten243 = B0(cMU2_reg, cnul, cMU2_reg)
    Ten244 = B1(cMU2_reg, cnul, cMU2_reg)
    Ten245 = B0(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten246 = B0(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten247 = B0(cMU2_reg, cMHH2_reg, cMU2_reg)
    Ten248 = B0(cMU2_reg, cMHL2_reg, cMU2_reg)
    Ten249 = B1(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten250 = B1(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten251 = B1(cMU2_reg, cMHH2_reg, cMU2_reg)
    Ten252 = B1(cMU2_reg, cMHL2_reg, cMU2_reg)
    Ten253 = DB0(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten254 = DB0(cMU2_reg, cnul, cMU2_reg)
    Ten255 = DB0(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten256 = DB0(cMU2_reg, cMHH2_reg, cMU2_reg)
    Ten257 = DB0(cMU2_reg, cMHL2_reg, cMU2_reg)
    Ten258 = DB1(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten259 = DB1(cMU2_reg, cnul, cMU2_reg)
    Ten260 = DB1(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten261 = DB1(cMU2_reg, cMHH2_reg, cMU2_reg)
    Ten262 = DB1(cMU2_reg, cMHL2_reg, cMU2_reg)
    Ten263 = B0(cnul, cMD2_reg, cMW2_reg)
    Ten264 = B1(cnul, cMD2_reg, cMW2_reg)
    Ten265 = B1(cnul, cnul, cMZ2_reg)
    Ten266 = B1(cnul, cnul, cMHH2_reg)
    Ten267 = B1(cnul, cnul, cMHL2_reg)
    Ten268 = B0(cMD2_reg, cnul, cMD2_reg)
    Ten269 = B1(cMD2_reg, cnul, cMD2_reg)
    Ten270 = B0(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten271 = B0(cMD2_reg, cMD2_reg, cMHH2_reg)
    Ten272 = B0(cMD2_reg, cMD2_reg, cMHL2_reg)
    Ten273 = B0(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten274 = B1(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten275 = B1(cMD2_reg, cMD2_reg, cMHH2_reg)
    Ten276 = B1(cMD2_reg, cMD2_reg, cMHL2_reg)
    Ten277 = B1(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten278 = DB0(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten279 = DB0(cMD2_reg, cMD2_reg, cMHH2_reg)
    Ten280 = DB0(cMD2_reg, cMD2_reg, cMHL2_reg)
    Ten281 = DB0(cMD2_reg, cnul, cMD2_reg)
    Ten282 = DB0(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten283 = DB1(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten284 = DB1(cMD2_reg, cMD2_reg, cMHH2_reg)
    Ten285 = DB1(cMD2_reg, cMD2_reg, cMHL2_reg)
    Ten286 = DB1(cMD2_reg, cnul, cMD2_reg)
    Ten287 = DB1(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten288 = B0(cnul, cMU2_reg, cMW2_reg)
    Ten289 = B1(cnul, cMU2_reg, cMW2_reg)
    Ten290 = B0(rMC2, cnul, cMC2_reg)
    Ten291 = B1(rMC2, cnul, cMC2_reg)
    Ten292 = B0(rMC2, cMC2_reg, cMZ2_reg)
    Ten293 = B0(rMC2, cMC2_reg, cMHH2_reg)
    Ten294 = B0(rMC2, cMC2_reg, cMHL2_reg)
    Ten295 = B0(rMC2, cMS2_reg, cMW2_reg)
    Ten296 = B1(rMC2, cMC2_reg, cMZ2_reg)
    Ten297 = B1(rMC2, cMC2_reg, cMHH2_reg)
    Ten298 = B1(rMC2, cMC2_reg, cMHL2_reg)
    Ten299 = B1(rMC2, cMS2_reg, cMW2_reg)
    Ten300 = DB0(rMC2, cMC2_reg, cMZ2_reg)
    Ten301 = DB0(rMC2, cMC2_reg, cMHH2_reg)
    Ten302 = DB0(rMC2, cMC2_reg, cMHL2_reg)
    Ten303 = DB0(rMC2, cnul, cMC2_reg)
    Ten304 = DB0(rMC2, cMS2_reg, cMW2_reg)
    Ten305 = DB1(rMC2, cMC2_reg, cMZ2_reg)
    Ten306 = DB1(rMC2, cMC2_reg, cMHH2_reg)
    Ten307 = DB1(rMC2, cMC2_reg, cMHL2_reg)
    Ten308 = DB1(rMC2, cnul, cMC2_reg)
    Ten309 = DB1(rMC2, cMS2_reg, cMW2_reg)
    Ten310 = B0(cMC2_reg, cnul, cMC2_reg)
    Ten311 = B1(cMC2_reg, cnul, cMC2_reg)
    Ten312 = B0(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten313 = B0(cMC2_reg, cMC2_reg, cMHH2_reg)
    Ten314 = B0(cMC2_reg, cMC2_reg, cMHL2_reg)
    Ten315 = B0(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten316 = B1(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten317 = B1(cMC2_reg, cMC2_reg, cMHH2_reg)
    Ten318 = B1(cMC2_reg, cMC2_reg, cMHL2_reg)
    Ten319 = B1(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten320 = DB0(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten321 = DB0(cMC2_reg, cMC2_reg, cMHH2_reg)
    Ten322 = DB0(cMC2_reg, cMC2_reg, cMHL2_reg)
    Ten323 = DB0(cMC2_reg, cnul, cMC2_reg)
    Ten324 = DB0(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten325 = DB1(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten326 = DB1(cMC2_reg, cMC2_reg, cMHH2_reg)
    Ten327 = DB1(cMC2_reg, cMC2_reg, cMHL2_reg)
    Ten328 = DB1(cMC2_reg, cnul, cMC2_reg)
    Ten329 = DB1(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten330 = B0(cnul, cMS2_reg, cMW2_reg)
    Ten331 = B1(cnul, cMS2_reg, cMW2_reg)
    Ten332 = B0(cMS2_reg, cnul, cMS2_reg)
    Ten333 = B1(cMS2_reg, cnul, cMS2_reg)
    Ten334 = B0(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten335 = B0(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten336 = B0(cMS2_reg, cMHH2_reg, cMS2_reg)
    Ten337 = B0(cMS2_reg, cMHL2_reg, cMS2_reg)
    Ten338 = B1(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten339 = B1(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten340 = B1(cMS2_reg, cMHH2_reg, cMS2_reg)
    Ten341 = B1(cMS2_reg, cMHL2_reg, cMS2_reg)
    Ten342 = DB0(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten343 = DB0(cMS2_reg, cnul, cMS2_reg)
    Ten344 = DB0(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten345 = DB0(cMS2_reg, cMHH2_reg, cMS2_reg)
    Ten346 = DB0(cMS2_reg, cMHL2_reg, cMS2_reg)
    Ten347 = DB1(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten348 = DB1(cMS2_reg, cnul, cMS2_reg)
    Ten349 = DB1(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten350 = DB1(cMS2_reg, cMHH2_reg, cMS2_reg)
    Ten351 = DB1(cMS2_reg, cMHL2_reg, cMS2_reg)
    Ten352 = B0(cnul, cMC2_reg, cMW2_reg)
    Ten353 = B1(cnul, cMC2_reg, cMW2_reg)
    Ten354 = B0(rMB2, cnul, cMB2_reg)
    Ten355 = B1(rMB2, cnul, cMB2_reg)
    Ten356 = B0(rMB2, cMB2_reg, cMZ2_reg)
    Ten357 = B0(rMB2, cMB2_reg, cMHH2_reg)
    Ten358 = B0(rMB2, cMB2_reg, cMHL2_reg)
    Ten359 = B0(rMB2, cMT2_reg, cMW2_reg)
    Ten360 = B1(rMB2, cMB2_reg, cMZ2_reg)
    Ten361 = B1(rMB2, cMB2_reg, cMHH2_reg)
    Ten362 = B1(rMB2, cMB2_reg, cMHL2_reg)
    Ten363 = B1(rMB2, cMT2_reg, cMW2_reg)
    Ten364 = DB0(rMB2, cMB2_reg, cMZ2_reg)
    Ten365 = DB0(rMB2, cMB2_reg, cMHH2_reg)
    Ten366 = DB0(rMB2, cMB2_reg, cMHL2_reg)
    Ten367 = DB0(rMB2, cnul, cMB2_reg)
    Ten368 = DB0(rMB2, cMT2_reg, cMW2_reg)
    Ten369 = DB1(rMB2, cMB2_reg, cMZ2_reg)
    Ten370 = DB1(rMB2, cMB2_reg, cMHH2_reg)
    Ten371 = DB1(rMB2, cMB2_reg, cMHL2_reg)
    Ten372 = DB1(rMB2, cnul, cMB2_reg)
    Ten373 = DB1(rMB2, cMT2_reg, cMW2_reg)
    Ten374 = B0(cMB2_reg, cnul, cMB2_reg)
    Ten375 = B1(cMB2_reg, cnul, cMB2_reg)
    Ten376 = B0(cMB2_reg, cMB2_reg, cMZ2_reg)
    Ten377 = B0(cMB2_reg, cMB2_reg, cMHH2_reg)
    Ten378 = B0(cMB2_reg, cMB2_reg, cMHL2_reg)
    Ten379 = B0(cMB2_reg, cMT2_reg, cMW2_reg)
    Ten380 = B1(cMB2_reg, cMB2_reg, cMZ2_reg)
    Ten381 = B1(cMB2_reg, cMB2_reg, cMHH2_reg)
    Ten382 = B1(cMB2_reg, cMB2_reg, cMHL2_reg)
    Ten383 = B1(cMB2_reg, cMT2_reg, cMW2_reg)
    Ten384 = DB0(cMB2_reg, cMB2_reg, cMZ2_reg)
    Ten385 = DB0(cMB2_reg, cMB2_reg, cMHH2_reg)
    Ten386 = DB0(cMB2_reg, cMB2_reg, cMHL2_reg)
    Ten387 = DB0(cMB2_reg, cnul, cMB2_reg)
    Ten388 = DB0(cMB2_reg, cMT2_reg, cMW2_reg)
    Ten389 = DB1(cMB2_reg, cMB2_reg, cMZ2_reg)
    Ten390 = DB1(cMB2_reg, cMB2_reg, cMHH2_reg)
    Ten391 = DB1(cMB2_reg, cMB2_reg, cMHL2_reg)
    Ten392 = DB1(cMB2_reg, cnul, cMB2_reg)
    Ten393 = DB1(cMB2_reg, cMT2_reg, cMW2_reg)
    Ten394 = B0(cnul, cMT2_reg, cMW2_reg)
    Ten395 = B1(cnul, cMT2_reg, cMW2_reg)
    Ten396 = B0(rMT2, cnul, cMT2_reg)
    Ten397 = B1(rMT2, cnul, cMT2_reg)
    Ten398 = B0(rMT2, cMT2_reg, cMZ2_reg)
    Ten399 = B0(rMT2, cMB2_reg, cMW2_reg)
    Ten400 = B0(rMT2, cMHL2_reg, cMT2_reg)
    Ten401 = B0(rMT2, cMHH2_reg, cMT2_reg)
    Ten402 = B1(rMT2, cMT2_reg, cMZ2_reg)
    Ten403 = B1(rMT2, cMB2_reg, cMW2_reg)
    Ten404 = B1(rMT2, cMHL2_reg, cMT2_reg)
    Ten405 = B1(rMT2, cMHH2_reg, cMT2_reg)
    Ten406 = DB0(rMT2, cMT2_reg, cMZ2_reg)
    Ten407 = DB0(rMT2, cnul, cMT2_reg)
    Ten408 = DB0(rMT2, cMB2_reg, cMW2_reg)
    Ten409 = DB0(rMT2, cMHL2_reg, cMT2_reg)
    Ten410 = DB0(rMT2, cMHH2_reg, cMT2_reg)
    Ten411 = DB1(rMT2, cMT2_reg, cMZ2_reg)
    Ten412 = DB1(rMT2, cnul, cMT2_reg)
    Ten413 = DB1(rMT2, cMB2_reg, cMW2_reg)
    Ten414 = DB1(rMT2, cMHL2_reg, cMT2_reg)
    Ten415 = DB1(rMT2, cMHH2_reg, cMT2_reg)
    Ten416 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten417 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten418 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten419 = B0(cME2_reg, cnul, cME2_reg)
    Ten420 = B1(cME2_reg, cnul, cME2_reg)
    Ten421 = B0(cME2_reg, cME2_reg, cMZ2_reg)
    Ten422 = B0(cME2_reg, cME2_reg, cMHH2_reg)
    Ten423 = B0(cME2_reg, cME2_reg, cMHL2_reg)
    Ten424 = B1(cME2_reg, cME2_reg, cMZ2_reg)
    Ten425 = B1(cME2_reg, cME2_reg, cMHH2_reg)
    Ten426 = B1(cME2_reg, cME2_reg, cMHL2_reg)
    Ten427 = B1(cME2_reg, cnul, cMW2_reg)
    Ten428 = DB0(cME2_reg, cME2_reg, cMZ2_reg)
    Ten429 = DB0(cME2_reg, cME2_reg, cMHH2_reg)
    Ten430 = DB0(cME2_reg, cME2_reg, cMHL2_reg)
    Ten431 = DB0(cME2_reg, cnul, cME2_reg)
    Ten432 = DB1(cME2_reg, cME2_reg, cMZ2_reg)
    Ten433 = DB1(cME2_reg, cME2_reg, cMHH2_reg)
    Ten434 = DB1(cME2_reg, cME2_reg, cMHL2_reg)
    Ten435 = DB1(cME2_reg, cnul, cME2_reg)
    Ten436 = DB1(cME2_reg, cnul, cMW2_reg)
    Ten437 = B1(cnul, cnul, cMW2_reg)
    Ten438 = B0(rMM2, cnul, cMM2_reg)
    Ten439 = B1(rMM2, cnul, cMM2_reg)
    Ten440 = B0(rMM2, cMM2_reg, cMZ2_reg)
    Ten441 = B0(rMM2, cMHH2_reg, cMM2_reg)
    Ten442 = B0(rMM2, cMHL2_reg, cMM2_reg)
    Ten443 = B1(rMM2, cMM2_reg, cMZ2_reg)
    Ten444 = B1(rMM2, cMHH2_reg, cMM2_reg)
    Ten445 = B1(rMM2, cMHL2_reg, cMM2_reg)
    Ten446 = B1(rMM2, cnul, cMW2_reg)
    Ten447 = DB0(rMM2, cMM2_reg, cMZ2_reg)
    Ten448 = DB0(rMM2, cnul, cMM2_reg)
    Ten449 = DB0(rMM2, cMHH2_reg, cMM2_reg)
    Ten450 = DB0(rMM2, cMHL2_reg, cMM2_reg)
    Ten451 = DB1(rMM2, cMM2_reg, cMZ2_reg)
    Ten452 = DB1(rMM2, cnul, cMM2_reg)
    Ten453 = DB1(rMM2, cnul, cMW2_reg)
    Ten454 = DB1(rMM2, cMHH2_reg, cMM2_reg)
    Ten455 = DB1(rMM2, cMHL2_reg, cMM2_reg)
    Ten456 = B0(cMM2_reg, cnul, cMM2_reg)
    Ten457 = B1(cMM2_reg, cnul, cMM2_reg)
    Ten458 = B0(cMM2_reg, cMM2_reg, cMZ2_reg)
    Ten459 = B0(cMM2_reg, cMHH2_reg, cMM2_reg)
    Ten460 = B0(cMM2_reg, cMHL2_reg, cMM2_reg)
    Ten461 = B1(cMM2_reg, cMM2_reg, cMZ2_reg)
    Ten462 = B1(cMM2_reg, cMHH2_reg, cMM2_reg)
    Ten463 = B1(cMM2_reg, cMHL2_reg, cMM2_reg)
    Ten464 = B1(cMM2_reg, cnul, cMW2_reg)
    Ten465 = DB0(cMM2_reg, cMM2_reg, cMZ2_reg)
    Ten466 = DB0(cMM2_reg, cnul, cMM2_reg)
    Ten467 = DB0(cMM2_reg, cMHH2_reg, cMM2_reg)
    Ten468 = DB0(cMM2_reg, cMHL2_reg, cMM2_reg)
    Ten469 = DB1(cMM2_reg, cMM2_reg, cMZ2_reg)
    Ten470 = DB1(cMM2_reg, cnul, cMM2_reg)
    Ten471 = DB1(cMM2_reg, cnul, cMW2_reg)
    Ten472 = DB1(cMM2_reg, cMHH2_reg, cMM2_reg)
    Ten473 = DB1(cMM2_reg, cMHL2_reg, cMM2_reg)
    Ten474 = B0(rMTA2, cnul, cMTA2_reg)
    Ten475 = B1(rMTA2, cnul, cMTA2_reg)
    Ten476 = B0(rMTA2, cMTA2_reg, cMZ2_reg)
    Ten477 = B0(rMTA2, cMHH2_reg, cMTA2_reg)
    Ten478 = B0(rMTA2, cMHL2_reg, cMTA2_reg)
    Ten479 = B1(rMTA2, cMTA2_reg, cMZ2_reg)
    Ten480 = B1(rMTA2, cMHH2_reg, cMTA2_reg)
    Ten481 = B1(rMTA2, cMHL2_reg, cMTA2_reg)
    Ten482 = B1(rMTA2, cnul, cMW2_reg)
    Ten483 = DB0(rMTA2, cMTA2_reg, cMZ2_reg)
    Ten484 = DB0(rMTA2, cnul, cMTA2_reg)
    Ten485 = DB0(rMTA2, cMHH2_reg, cMTA2_reg)
    Ten486 = DB0(rMTA2, cMHL2_reg, cMTA2_reg)
    Ten487 = DB1(rMTA2, cMTA2_reg, cMZ2_reg)
    Ten488 = DB1(rMTA2, cnul, cMTA2_reg)
    Ten489 = DB1(rMTA2, cnul, cMW2_reg)
    Ten490 = DB1(rMTA2, cMHH2_reg, cMTA2_reg)
    Ten491 = DB1(rMTA2, cMHL2_reg, cMTA2_reg)
    Ten492 = B0(cMTA2_reg, cnul, cMTA2_reg)
    Ten493 = B1(cMTA2_reg, cnul, cMTA2_reg)
    Ten494 = B0(cMTA2_reg, cMTA2_reg, cMZ2_reg)
    Ten495 = B0(cMTA2_reg, cMHH2_reg, cMTA2_reg)
    Ten496 = B0(cMTA2_reg, cMHL2_reg, cMTA2_reg)
    Ten497 = B1(cMTA2_reg, cMTA2_reg, cMZ2_reg)
    Ten498 = B1(cMTA2_reg, cMHH2_reg, cMTA2_reg)
    Ten499 = B1(cMTA2_reg, cMHL2_reg, cMTA2_reg)
    Ten500 = B1(cMTA2_reg, cnul, cMW2_reg)
    Ten501 = DB0(cMTA2_reg, cMTA2_reg, cMZ2_reg)
    Ten502 = DB0(cMTA2_reg, cnul, cMTA2_reg)
    Ten503 = DB0(cMTA2_reg, cMHH2_reg, cMTA2_reg)
    Ten504 = DB0(cMTA2_reg, cMHL2_reg, cMTA2_reg)
    Ten505 = DB1(cMTA2_reg, cMTA2_reg, cMZ2_reg)
    Ten506 = DB1(cMTA2_reg, cnul, cMTA2_reg)
    Ten507 = DB1(cMTA2_reg, cnul, cMW2_reg)
    Ten508 = DB1(cMTA2_reg, cMHH2_reg, cMTA2_reg)
    Ten509 = DB1(cMTA2_reg, cMHL2_reg, cMTA2_reg)
    Ten510 = B1(cnul, cME2_reg, cMW2_reg)
    Ten511 = B1(cnul, cMM2_reg, cMW2_reg)
    Ten512 = B1(cnul, cMTA2_reg, cMW2_reg)
    Ten513 = B0(cnul, cMW2_reg, cMW2_reg)
    Ten514 = B1(cnul, cMW2_reg, cMW2_reg)
    Ten515 = B11(cnul, cMW2_reg, cMW2_reg)
    Ten516 = B00(cnul, cMW2_reg, cMW2_reg)
    Ten517 = B1(cnul, cME2_reg, cME2_reg)
    Ten518 = B1(cnul, cMM2_reg, cMM2_reg)
    Ten519 = B1(cnul, cMTA2_reg, cMTA2_reg)
    Ten520 = B11(cnul, cME2_reg, cME2_reg)
    Ten521 = B11(cnul, cMM2_reg, cMM2_reg)
    Ten522 = B11(cnul, cMTA2_reg, cMTA2_reg)
    Ten523 = B0(cnul, cME2_reg, cME2_reg)
    Ten524 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten525 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten526 = B00(cnul, cME2_reg, cME2_reg)
    Ten527 = B00(cnul, cMM2_reg, cMM2_reg)
    Ten528 = B00(cnul, cMTA2_reg, cMTA2_reg)
    Ten529 = DB00(cnul, cMW2_reg, cMW2_reg)
    Ten530 = DB0(cnul, cME2_reg, cME2_reg)
    Ten531 = DB0(cnul, cMM2_reg, cMM2_reg)
    Ten532 = DB0(cnul, cMTA2_reg, cMTA2_reg)
    Ten533 = DB00(cnul, cME2_reg, cME2_reg)
    Ten534 = DB00(cnul, cMM2_reg, cMM2_reg)
    Ten535 = DB00(cnul, cMTA2_reg, cMTA2_reg)
    Ten536 = DB0(cnul, cMW2_reg, cMW2_reg)
    Ten537 = HT(cME2_reg, cME2_reg)
    Ten538 = HT(cMM2_reg, cMM2_reg)
    Ten539 = HT(cMTA2_reg, cMTA2_reg)
    Ten540 = B0(rMZ2, cMHL2_reg, cMZ2_reg)
    Ten541 = B0(rMZ2, cMHH2_reg, cMZ2_reg)
    Ten542 = B0(rMZ2, cMW2_reg, cMW2_reg)
    Ten543 = B0(rMZ2, cME2_reg, cME2_reg)
    Ten544 = B0(rMZ2, cMM2_reg, cMM2_reg)
    Ten545 = B0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten546 = B0(rMZ2, cMU2_reg, cMU2_reg)
    Ten547 = B0(rMZ2, cMC2_reg, cMC2_reg)
    Ten548 = B0(rMZ2, cMT2_reg, cMT2_reg)
    Ten549 = B0(rMZ2, cMD2_reg, cMD2_reg)
    Ten550 = B0(rMZ2, cMS2_reg, cMS2_reg)
    Ten551 = B0(rMZ2, cMB2_reg, cMB2_reg)
    Ten552 = B1(rMZ2, cMW2_reg, cMW2_reg)
    Ten553 = B00(rMZ2, cMW2_reg, cMW2_reg)
    Ten554 = B11(rMZ2, cMW2_reg, cMW2_reg)
    Ten555 = B1(rMZ2, cME2_reg, cME2_reg)
    Ten556 = B1(rMZ2, cMM2_reg, cMM2_reg)
    Ten557 = B1(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten558 = B00(rMZ2, cME2_reg, cME2_reg)
    Ten559 = B00(rMZ2, cMM2_reg, cMM2_reg)
    Ten560 = B00(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten561 = B11(rMZ2, cME2_reg, cME2_reg)
    Ten562 = B11(rMZ2, cMM2_reg, cMM2_reg)
    Ten563 = B11(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten564 = B1(rMZ2, cMU2_reg, cMU2_reg)
    Ten565 = B1(rMZ2, cMC2_reg, cMC2_reg)
    Ten566 = B1(rMZ2, cMT2_reg, cMT2_reg)
    Ten567 = B00(rMZ2, cMU2_reg, cMU2_reg)
    Ten568 = B00(rMZ2, cMC2_reg, cMC2_reg)
    Ten569 = B00(rMZ2, cMT2_reg, cMT2_reg)
    Ten570 = B11(rMZ2, cMU2_reg, cMU2_reg)
    Ten571 = B11(rMZ2, cMC2_reg, cMC2_reg)
    Ten572 = B11(rMZ2, cMT2_reg, cMT2_reg)
    Ten573 = B1(rMZ2, cMD2_reg, cMD2_reg)
    Ten574 = B1(rMZ2, cMS2_reg, cMS2_reg)
    Ten575 = B1(rMZ2, cMB2_reg, cMB2_reg)
    Ten576 = B00(rMZ2, cMD2_reg, cMD2_reg)
    Ten577 = B00(rMZ2, cMS2_reg, cMS2_reg)
    Ten578 = B00(rMZ2, cMB2_reg, cMB2_reg)
    Ten579 = B11(rMZ2, cMD2_reg, cMD2_reg)
    Ten580 = B11(rMZ2, cMS2_reg, cMS2_reg)
    Ten581 = B11(rMZ2, cMB2_reg, cMB2_reg)
    Ten582 = B1(rMZ2, cnul, cnul)
    Ten583 = B00(rMZ2, cMHL2_reg, cMZ2_reg)
    Ten584 = B00(rMZ2, cMHH2_reg, cMZ2_reg)
    Ten585 = B00(rMZ2, cnul, cnul)
    Ten586 = B11(rMZ2, cnul, cnul)
    Ten587 = B0(rMZ2, cnul, cnul)
    Ten588 = DB0(rMZ2, cMW2_reg, cMW2_reg)
    Ten589 = DB0(rMZ2, cME2_reg, cME2_reg)
    Ten590 = DB0(rMZ2, cMM2_reg, cMM2_reg)
    Ten591 = DB0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten592 = DB0(rMZ2, cMU2_reg, cMU2_reg)
    Ten593 = DB0(rMZ2, cMC2_reg, cMC2_reg)
    Ten594 = DB0(rMZ2, cMT2_reg, cMT2_reg)
    Ten595 = DB0(rMZ2, cMD2_reg, cMD2_reg)
    Ten596 = DB0(rMZ2, cMS2_reg, cMS2_reg)
    Ten597 = DB0(rMZ2, cMB2_reg, cMB2_reg)
    Ten598 = DB0(rMZ2, cnul, cnul)
    Ten599 = DB0(rMZ2, cMHL2_reg, cMZ2_reg)
    Ten600 = DB0(rMZ2, cMHH2_reg, cMZ2_reg)
    Ten601 = A0(cnul)
    Ten602 = B0(rMW2, cnul, cMW2_reg)
    Ten603 = B1(rMW2, cnul, cMW2_reg)
    Ten604 = B00(rMW2, cnul, cMW2_reg)
    Ten605 = B11(rMW2, cnul, cMW2_reg)
    Ten606 = B0(rMW2, cMW2_reg, cMZ2_reg)
    Ten607 = B0(rMW2, cMHL2_reg, cMW2_reg)
    Ten608 = B0(rMW2, cMHH2_reg, cMW2_reg)
    Ten609 = B1(rMW2, cMW2_reg, cMZ2_reg)
    Ten610 = B1(rMW2, cnul, cME2_reg)
    Ten611 = B1(rMW2, cnul, cMM2_reg)
    Ten612 = B1(rMW2, cnul, cMTA2_reg)
    Ten613 = B1(rMW2, cMD2_reg, cMU2_reg)
    Ten614 = B1(rMW2, cMC2_reg, cMS2_reg)
    Ten615 = B1(rMW2, cMB2_reg, cMT2_reg)
    Ten616 = B00(rMW2, cMW2_reg, cMZ2_reg)
    Ten617 = B00(rMW2, cnul, cME2_reg)
    Ten618 = B00(rMW2, cnul, cMM2_reg)
    Ten619 = B00(rMW2, cnul, cMTA2_reg)
    Ten620 = B00(rMW2, cMHL2_reg, cMW2_reg)
    Ten621 = B00(rMW2, cMHH2_reg, cMW2_reg)
    Ten622 = B00(rMW2, cMD2_reg, cMU2_reg)
    Ten623 = B00(rMW2, cMC2_reg, cMS2_reg)
    Ten624 = B00(rMW2, cMB2_reg, cMT2_reg)
    Ten625 = B11(rMW2, cMW2_reg, cMZ2_reg)
    Ten626 = B11(rMW2, cnul, cME2_reg)
    Ten627 = B11(rMW2, cnul, cMM2_reg)
    Ten628 = B11(rMW2, cnul, cMTA2_reg)
    Ten629 = B11(rMW2, cMD2_reg, cMU2_reg)
    Ten630 = B11(rMW2, cMC2_reg, cMS2_reg)
    Ten631 = B11(rMW2, cMB2_reg, cMT2_reg)
    Ten632 = B0(rMW2, cnul, cME2_reg)
    Ten633 = B0(rMW2, cnul, cMM2_reg)
    Ten634 = B0(rMW2, cnul, cMTA2_reg)
    Ten635 = B0(rMW2, cMD2_reg, cMU2_reg)
    Ten636 = B0(rMW2, cMC2_reg, cMS2_reg)
    Ten637 = B0(rMW2, cMB2_reg, cMT2_reg)
    Ten638 = DB0(rMW2, cMW2_reg, cMZ2_reg)
    Ten639 = DB0(rMW2, cnul, cMW2_reg)
    Ten640 = DB0(rMW2, cnul, cME2_reg)
    Ten641 = DB0(rMW2, cnul, cMM2_reg)
    Ten642 = DB0(rMW2, cnul, cMTA2_reg)
    Ten643 = DB0(rMW2, cMD2_reg, cMU2_reg)
    Ten644 = DB0(rMW2, cMC2_reg, cMS2_reg)
    Ten645 = DB0(rMW2, cMB2_reg, cMT2_reg)
    Ten646 = DB0(rMW2, cMHL2_reg, cMW2_reg)
    Ten647 = DB0(rMW2, cMHH2_reg, cMW2_reg)
    Ten648 = B00(cnul, cnul, cMW2_reg)
    Ten649 = B00(cnul, cMW2_reg, cMZ2_reg)
    Ten650 = B00(cnul, cnul, cME2_reg)
    Ten651 = B00(cnul, cnul, cMM2_reg)
    Ten652 = B00(cnul, cnul, cMTA2_reg)
    Ten653 = B00(cnul, cMHL2_reg, cMW2_reg)
    Ten654 = B00(cnul, cMHH2_reg, cMW2_reg)
    Ten655 = B00(cnul, cMD2_reg, cMU2_reg)
    Ten656 = B00(cnul, cMC2_reg, cMS2_reg)
    Ten657 = B00(cnul, cMB2_reg, cMT2_reg)
    Ten658 = B0(cnul, cMW2_reg, cMZ2_reg)
    Ten659 = B0(cnul, cnul, cMW2_reg)
    Ten660 = B0(cnul, cMHL2_reg, cMW2_reg)
    Ten661 = B0(cnul, cMHH2_reg, cMW2_reg)
    Ten662 = B0(cnul, cME2_reg, cME2_reg)
    Ten663 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten664 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten665 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten666 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten667 = B0(cnul, cMU2_reg, cMU2_reg)

  end subroutine set_modelintegrals

end module modelintegrals
